<?php
/*
Simple Page Builder - deBuilder v 3.0
http://themeforest.net/user/mallini
*/

function pb_builder_output( $xml = false, $get_element = false ) {

  $output = $content = $imagesUrl = $text_only = '';
  $data = $var = array();

  foreach ($xml->item as $element) {

    switch($element['type']) {
      case 'Text':

        $var = pb_getVar($element);

        $var['build_text_padding'] = ($var['build_text_padding']) ? esc_html($var['build_text_padding']) . 'px 0' : '0 0 30px 0';

        $output .= '<div class="shortcode-gallery" style="padding:'. esc_html($var['build_text_padding']) . '; font-size:'. esc_html($var['build_text_font_size']) .'px; line-height:'. esc_html($var['build_text_line_height']) .'px; color:'. esc_html($var['build_text_color']) .';"><div class="shortcode-gallery-inner builder_p">' . $var['build_text'];

        $output .= '</div></div>';
        $text_only .= $var['build_text'];

      break;

      case 'Gallery':

        $var = pb_getVar($element);

        $images_array = explode(",", $var['build_gallery_images']);
        $full = (isset($var['build_gallery_fullwidth']) && $var['build_gallery_fullwidth'] == 'Yes') ? '-full' : '' ;
        $var['build_gallery_type'] = ($var['build_gallery_type'] != '— Select —') ? $var['build_gallery_type'] : 'Slider';
        $imagesUrl .= $element['id'];

        $var['build_gallery_padding'] = ($var['build_gallery_padding']) ? esc_html($var['build_gallery_padding']) . 'px 0' : '0 0 40px 0';

        if ($var['build_gallery_type'] == 'Tiled') {

          $output .= '<div class="shortcode-gallery'. esc_html($full) .'" style="background:'. /*$var['build_gallery_background'] .*/'; padding:'. esc_html($var['build_gallery_padding']) .';"><div class="shortcode-gallery-inner"><div class="justified-gallery-container"><div class="justified-gallery">';

          foreach ($images_array as $imageID) {
            if ($imageID != '') {
              $image = wp_get_attachment_image_src($imageID, 'full');
              $image_thumb = wp_get_attachment_image_src($imageID, 'thumbnail');
              $imagesUrl .= ',' . $image_thumb[0];
              $output .= '<a class="slick-slide" href="'. esc_url($image[0]) .'" data-fancybox="group"><img src="'. esc_url($image[0]) .'" /></a>';
            }
          }

          $output .= '</div></div></div></div>';
          $imagesUrl .= '|';

        } elseif ($var['build_gallery_type'] == 'Slider') {

          $galleryID = rand (1, 99);
          $output .= '<div class="shortcode-gallery'. esc_html($full) .'" style="background:'. /*$var['build_gallery_background'] .*/'; padding:'. $var['build_gallery_padding'] .';"><div class="shortcode-gallery-inner"><div class="owl-carousel'. esc_html($galleryID) .' owl-'. esc_html($galleryID) .' owl-theme">';

          foreach($images_array as $imageID) {
            if ($imageID != '') {
              $image = wp_get_attachment_image_src($imageID, 'full');
              $image_thumb = wp_get_attachment_image_src($imageID, 'thumbnail');
              $imagesUrl .= ',' . $image_thumb[0];
              if (isset($image[0])) {
                list($width, $height) = getimagesize($image[0]);
              }
              $ratio = ($height) ? $width/$height : '';
              $output .= '<a class="slick-slide" href="'. esc_url($image[0]) .'" data-fancybox="group"><img src="'. esc_url($image[0]) .'" data-ratio="'. esc_html($ratio) .'" /></a>';
            }
          }

          $output .= '</div></div></div>';
          $imagesUrl .= '|';

          $output .= "<script type=\"text/javascript\">
      			( function( $ ) {
              $(window).load(function() {
              	getCarousel". esc_html($galleryID) ."();
            	})

              function getCarousel". esc_html($galleryID) ."() {
                $('.owl-carousel". esc_html($galleryID) ."').owlCarousel({
              		items:1,
              		lazyLoad:true,
              		navigation:!0,
              		pagination:!0,
              		slideSpeed:800,
              		dots:true,
              		autoHeight:!0,
              		singleItem:!0,
              		autoWidth:true,
              		loop:true
              	})
              }

      			} )( jQuery );
      		</script>";

        } elseif ($var['build_gallery_type'] == 'Classic-4' || $var['build_gallery_type'] == 'Classic-6') {

          $galleryID = rand (1, 99);
          $output .= '<div class="shortcode-gallery'. esc_html($full) .'"><div class="shortcode-gallery-inner"><div id="portfolio-gallery-wrapper'. esc_html($galleryID) .'" class="infinite-container" style="padding:'. esc_html($var['build_gallery_padding']) .'px 0;">';

          foreach($images_array as $imageID) {
            if ($imageID != '') {
              $image = wp_get_attachment_image_src($imageID, 'full');
              $image_thumb = wp_get_attachment_image_src($imageID, 'thumbnail');
              $imagesUrl .= ',' . $image_thumb[0];
              if (isset($image[0])) {
                list($width, $height) = getimagesize($image[0]);
              }
              $columner = ($var['build_gallery_type'] == 'Classic-4') ? 'four' : 'six';

              $output .= '<div class="portfolio-'. esc_html($columner) .' portfolio-item portfolio-gallery-item'. esc_html($galleryID) .'">
                <div class="picture">
      					<a href="'. esc_url($image[0]) .'" data-fancybox="group" class="portfolio-link">
                  <div class="thumb" style="background-image:url('. esc_url($image[0]) .');"></div>
                </a>
                </div>
              </div>';
            }
          }

          $output .= '</div></div></div>';
          $imagesUrl .= '|';

          $output .= "<script type=\"text/javascript\">
      			( function( $ ) {
      				$(document).ready(function() {
                //getMasonryGallery". esc_html($galleryID) ."();
      				});

              $(window).load(function() {
              	getItemHeight". esc_html($galleryID) ."();
                getMasonryGallery". esc_html($galleryID) ."();
            	})

      				$(window).resize(function(){
                getMasonryGallery". esc_html($galleryID) ."();
                getItemHeight". esc_html($galleryID) ."();
      				});

              function getItemHeight". esc_html($galleryID) ."() {
          			$('.portfolio-gallery-item". esc_html($galleryID) ."').each(function() {
        					$(this).css({'height': $(this).width()})
          			})
            	}

              function getMasonryGallery". esc_html($galleryID) ."() {
                $('#portfolio-gallery-wrapper". esc_html($galleryID) ."').imagesLoaded().always(function() {
                  $('#portfolio-gallery-wrapper". esc_html($galleryID) ."').masonry( {
                    itemSelector: '.portfolio-gallery-item". esc_html($galleryID) ."'
                  });
                });
              }

      			} )( jQuery );
      		</script>
          <style>
            #portfolio-gallery-wrapper". esc_html($galleryID) ." {
              margin-bottom: 45px;
            }
          </style>";

        } elseif ($var['build_gallery_type'] == 'Masonry') {

          $galleryID = rand (1, 999);
          $output .= '<div class="shortcode-gallery'. esc_html($full) .'"><div class="shortcode-gallery-inner"><div id="portfolio-gallery-wrapper'. esc_html($galleryID) .'" style="padding:'. esc_html($var['build_gallery_padding']) .'px 0;">';

          foreach ($images_array as $imageID) {
            if ($imageID != '') {
              $image = wp_get_attachment_image_src($imageID, 'full');
              $image_thumb = wp_get_attachment_image_src($imageID, 'thumbnail');
              $imagesUrl .= ',' . $image_thumb[0];
              if (isset($image[0])) {
                list($width, $height) = getimagesize($image[0]);
              }
              $ratio = ($height) ? $width/$height : '';

      				$output .= '<div class="third-masonry portfolio-gallery-item'. esc_html($galleryID) .'" data-ratio="'. esc_attr($ratio) .'">
      					<a href="'. esc_url($image[0]) .'" data-fancybox="group"><img src="'. esc_url($image[0]) .'" />
      					</a></div>';
            }
      		}

      		$output .= '</div></div></div>';
          $imagesUrl .= '|';

      		$output .= "<script type=\"text/javascript\">
      			( function( $ ) {
      				$(document).ready(function() {
                getMasonryGallery". esc_html($galleryID) ."();
      					//getMasonryHeight". esc_html($galleryID) ."();
      				});

      				$(window).resize(function(){
                getMasonryGallery". esc_html($galleryID) ."();
      					//getMasonryHeight". esc_html($galleryID) ."();
      				});

      				function getMasonryHeight". esc_html($galleryID) ."() {
      					$('.portfolio-gallery-item". esc_html($galleryID) ."').each( function() {
      						var ratio = $( this ).attr( 'data-ratio' );
      						var img_width = $( this ).width();

      						if ( ratio > 1 ) {
      							var div_height = img_width / ratio;
      						} else {
      							var div_height = img_width / ratio;
      						}

      						$( this ).css( { 'height': Math.floor( div_height ) } );
      					});
      				}

              function getMasonryGallery". esc_html($galleryID) ."() {
                $('#portfolio-gallery-wrapper". esc_html($galleryID) ."').imagesLoaded().always(function() {
                  $('#portfolio-gallery-wrapper". esc_html($galleryID) ."').masonry( {
                    itemSelector: '.portfolio-gallery-item". esc_html($galleryID) ."'
                  });
                });
              }

      			} )( jQuery );
      		</script>
          <style>
            #portfolio-gallery-wrapper". esc_html($galleryID) ." {
              margin-bottom: 45px;
            }
          </style>";

        }

      break;

      case 'Video':

        $var = pb_getVar($element);

        $full = (isset($var['build_video_fullwidth']) && $var['build_video_fullwidth'] == 'Yes') ? '-full' : '' ;
        $var['build_video_padding'] = ($var['build_video_padding']) ? esc_html($var['build_video_padding']) . 'px 0' : '0 0 40px 0';

        $output .= '<div class="content-self-container'. esc_html($full) .'" style="background:'. /*$var['build_video_background'] .*/'; padding:'. esc_html($var['build_video_padding']) .';"><div class="self-container-inner">';

        if ($var['build_video_external']) {

          global $wp_embed;
          $output .= '<div class="post_thumb hentry"><div class="embed video-cont">'. $wp_embed->run_shortcode('[embed width="600" height="360"]' . esc_url($var['build_video_external']) . '[/embed]') .'</div></div>';

        } else {

          $uploads = wp_upload_dir();
          $uploads_dir =  $uploads['basedir'];
          $video_upload = $var['build_video_selfhosted'];
          $uploads_dir = $uploads_dir . str_replace("uploads", "", strstr($video_upload,"uploads"));
          $videodata = wp_read_video_metadata($uploads_dir);
          $video_ratio = isset($videodata['height']) ? $videodata['width']/$videodata['height'] : '';
          $videodata_width = isset($videodata['width']) ?: '';
          $videodata_height = isset($videodata['height']) ?: '';

          $output .= '<video class="content-video" data-video-ratio="' . esc_html($video_ratio) .'" data-width="'. esc_html($videodata_width).'" data-height="'. esc_html($videodata_height) .'" preload="auto" loop autoplay><source type="video/mp4" src="'. esc_url($video_upload) .'"></video>';

        }

        $output .= '</div></div>';

      break;

    }

  }

  if ($get_element == 'Gallery') {
    return $imagesUrl;
  } elseif ($get_element == 'Text') {
    return wp_trim_words( $text_only, 35);
  } else {
    return $output;
  }

}
