<?php

add_action('wp_head', 'manggis_custom_css');

function manggis_adaptive_css($typo){
	if ( is_array($typo) ) {
    $ot_google_fonts = get_theme_mod( 'ot_google_fonts', array() );
    foreach ($typo as  $key => $value) {
      if (isset($value) && !empty($value)) {
				if ($key=='font-color') { $key = "color"; }
				if ($key=='font-family') { $value = '"'.$ot_google_fonts[$value]['family'].'"'; }
				echo $key . ":" . $value . " !important;";
      }
    }
  }
}

function manggis_custom_css() {
if ( function_exists('ot_get_option') ) {
	$logo_dimensions = ot_get_option( 'logo_dimensions' );
	$logo_top_margin = ot_get_option( 'logo_top_margin' );
	$logo_bottom_margin = ot_get_option( 'logo_bottom_margin' );
	$submenu_width = ot_get_option( 'submenu_width' );
	$links_color = ot_get_option( 'links_color' );
	$body_font = ot_get_option( 'body_font');
	$menu_font = ot_get_option( 'menu_font');
	$logo_font = ot_get_option( 'logo_font');
  $main_color = ot_get_option( 'main_color');
  $main_text = ot_get_option( 'main_text');
	$h1_font = ot_get_option( 'h1_font');
	$h2_font = ot_get_option( 'h2_font');
	$h3_font = ot_get_option( 'h3_font');
	$h4_font = ot_get_option( 'h4_font');
	$h5_font = ot_get_option( 'h5_font');
	$h6_font = ot_get_option( 'h6_font');
	$shop_color = ot_get_option( 'shop_color');
	$preloader_color = ot_get_option( 'preloader_color'); ?>

	<style type="text/css">

		<?php if ($body_font) { ?>

			body,
			.date, .post-meta, .readmore,
			.widget, .comment-text,
			.search-results,
			.post-content p,
			.container p
			{ <?php manggis_adaptive_css($body_font); ?> }

		<?php } ?>

		<?php if ($main_color) { ?>

			.top-navigation li a:hover,
			li.current-menu-item a,
			.light-scheme li.current-menu-item a,
			.submenu-container a:hover,
			.submenu-container a.active,
			.light-scheme .submenu-container a.active,
			.top-navigation ul.sub-menu a:hover,
			input[type="submit"]:hover,
			.blog-content .type-post:hover h2 a,
			.blog-item .post-category a:hover,
			.blog-content .type-portfolio:hover h2 a,
			.cd-slider-nav .cd-marker,
			.post-meta a:hover,
			#cancel-comment-reply-link:hover,
			a.comment-reply-link:hover,
			.widget a:hover, .post-footer a:hover,
			.nosearch-results-cats a:hover,
			.light-scheme .nosearch-results.nosearch-cats a:hover,
			.nosearch-results a:hover,
			.light-scheme .nosearch-results.tags-cloud a:hover,
			.copyright a:hover,
			.sub_footer a:hover, .light-scheme .submenu-container a:hover,
			.light-scheme .top-navigation ul.sub-menu a:hover,
			.columns .post-content p a:hover,
			.top-navigation li.current-menu-ancestor a,
			.top-navigation ul.sub-menu li.current-menu-item a,
			.menu-alt #navigation ul li a:hover, .menu-alt .top-navigation li a:hover, #site-navigation.scaled.menu-alt .top-navigation li a:hover, #navigation ul li:not(.menu-item-split-wrapper) ul li a:hover, .menu-alt #navigation ul li ul li ul li a:hover
			{ color: <?php echo esc_html($main_color); ?>; }

			#navigation ul li a:hover, .top-navigation li a:hover, #site-navigation.scaled .top-navigation li a:hover,
			#navigation ul li:not(.menu-item-split-wrapper) ul li a:hover {
    		color: <?php echo esc_html($main_color); ?>;
			}}

			.animated-link a:after,
			.cd-horizontal-timeline .filling-line,
			.no-touch .cd-horizontal-timeline .events a:hover::after,
			.cd-horizontal-timeline .events a.selected::after,
			.no-touch .cd-hero-slider .cd-btn:hover,
			a.comment-reply-link::before,
			.widget.widget_recent_entries li a:hover::before,
			.widget.widget_categories li a:hover::before,
			.widget.widget_archive li a:hover::before,
			.widget.widget_pages li a:hover::before,
			.widget.widget_meta li a:hover::before,
			.nosearch-results.nosearch-cats li a:hover::before,
			.header-sidebar.widget-themeworm_social .minicart-header a.button,
.header-sidebar.widget-themeworm_social .minicart-header a.button:hover,
.woocommerce a.add_to_cart_button.button:hover,
.woocommerce #respond input#submit.alt:hover,
.woocommerce a.button.alt:hover,
.woocommerce button.button.alt:hover,
.woocommerce input.button.alt:hover,
.light-scheme.woocommerce a.add_to_cart_button.button:hover, .light-scheme.woocommerce #respond input#submit.alt:hover, .light-scheme.woocommerce a.button.alt:hover, .light-scheme.woocommerce button.button.alt:hover, .light-scheme.woocommerce input.button.alt:hover
			{	background-color: <?php echo esc_html($main_color); ?>; }

			input[type="submit"]:hover,
			.no-touch .cd-horizontal-timeline .events a:hover::after,
			.cd-horizontal-timeline .events a.selected:after,
			.cd-horizontal-timeline .events a.older-event::after
			{ border-color: <?php echo esc_html($main_color); ?>; }

			.cd-horizontal-timeline .filling-line, .cd-horizontal-timeline .events a.selected::after {	background-color: <?php echo esc_html($main_color); ?>; }

			@media only screen and (max-width: 959px) {
				#navigation ul li a:hover, .top-navigation li a:hover, #site-navigation.scaled .top-navigation li a:hover {
				    color: <?php echo esc_html($main_color); ?>;
			}}

			::-moz-selection {
				background-color: <?php echo esc_html($main_color); ?>;
				color: #fff;
			}

			::selection {
				background-color: <?php echo esc_html($main_color); ?>;
				color: #fff;
			}

		<?php } ?>

		h1{ <?php manggis_adaptive_css($h1_font); ?> }
		h2{ <?php manggis_adaptive_css($h2_font); ?> }
		h3{ <?php manggis_adaptive_css($h3_font); ?> }
		h4{ <?php manggis_adaptive_css($h4_font); ?> }
		h5{ <?php manggis_adaptive_css($h5_font); ?> }
		h6{ <?php manggis_adaptive_css($h6_font); ?> }

		#logo a { <?php manggis_adaptive_css($logo_font); ?> }

		<?php if (!empty( $logo_dimensions) && ot_get_option( 'logo_upload') ) { ?>
			.logo-image, #spinner-outer {
				width: <?php echo $logo_width = (isset($logo_dimensions['width'])) ? esc_html($logo_dimensions['width']) : ''; ?>px;
				height: <?php echo $logo_height = (isset($logo_dimensions['height'])) ? esc_html($logo_dimensions['height']) : ''; ?>px;
			}
		<?php } ?>

		<?php if (!empty( $preloader_color) ) { ?>
			#spinner {
				background-color: <?php echo esc_html($preloader_color); ?>;
			}
		<?php } ?>

		#navigation a, .widget_nav_menu a {  <?php manggis_adaptive_css($menu_font); ?>  }

		<?php if (!empty( $logo_top_margin ) || !empty( $logo_bottom_margin)) { ?>

			#logo {
				<?php if ( !empty( $logo_top_margin ) ) { echo 'margin-top:' . esc_html($logo_top_margin) . 'px;'; } ?>
				<?php if ( !empty( $logo_bottom_margin ) ) { echo 'margin-bottom:' . esc_html($logo_bottom_margin) . 'px;'; } ?>
			}

		<?php } ?>

		<?php if (!empty( $shop_color )) { ?>

			.woocommerce div.product p.price, .woocommerce div.product span.price {
				color: <?php echo esc_html($shop_color); ?>;
			}

			.woocommerce .widget_price_filter .ui-slider .ui-slider-range, .woocommerce .widget_price_filter .ui-slider .ui-slider-handle, .cart-contents-count {
				background-color: <?php echo esc_html($shop_color); ?>;
			}

		<?php } ?>

		<?php if ( function_exists('ot_get_option') && ot_get_option('logo_upload') ) { ?>
			#spinner {
    		background-color: transparent;
			}
		<?php } ?>

		<?php echo ot_get_option( 'custom_css' );  ?>

	</style>

 <?php

}
} ?>
