<?php
/**
 * Initialize the meta boxes.
 */
add_action( 'admin_init', 'manggis_custom_meta_boxes' );

function manggis_custom_meta_boxes() {

  $manggis_meta_box = array(
    'id'        => 'manggis_metabox_sidebar',
    'title'     => esc_html__('Page Layout settings', 'manggis'),
    'desc'      => '',
    'pages'     => array( 'page', 'post' ),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(

      array(
      	'label'       => esc_html__('Title', 'manggis'),
      	'id'          => 'manggis_page1',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),

      array(
      	'label'       => esc_html__('Show Title', 'manggis'),
      	'id'          => 'manggis_display_title',
      	'type'        => 'on_off',
      	'desc'        => '',
      	'std'         => 'on',
      ),

      array(
    		'label'       => esc_html__('Show sidebar', 'manggis'),
    		'id'          => 'manggis_sidebar_on',
    		'type'        => 'on_off',
    		'desc'        => '',
    		'std'         => 'off',
        'class'       => 'not-in-post',
      ),

      array(
        'id'          => 'manggis_title_height',
        'label'       => esc_html__('Title height', 'manggis'),
        'desc'        => '',
        'std'         => 'titleheight-standard',
        'type'        => 'select',
        'class'       => '',
        'choices'     => array(
          array(
            'value'   => 'titleheight-standard',
            'label'   => esc_html__('Standard', 'manggis'),
          ),
          array(
            'value'   => 'titleheight-30',
            'label'   => esc_html__('30%', 'manggis'),
          ),
          array(
            'value'   => 'titleheight-50',
            'label'   => esc_html__('50%', 'manggis'),
          ),
          array(
            'value'   => 'titleheight-100',
            'label'   => esc_html__('100%', 'manggis'),
          ),
        )
      ),

      array(
        'label'       => esc_html__('Title Background Color', 'manggis'),
        'id'          => 'manggis_title_bg',
        'type'        => 'colorpicker',
        'desc'        => '',
        'std'         => ''
      ),

      array(
      	'label'       => esc_html__('Content Color & Padding', 'manggis'),
      	'id'          => 'manggis_page2',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),

      array(
    		'label'       => esc_html__('White content area', 'manggis'),
    		'id'          => 'manggis_white_content',
    		'type'        => 'on_off',
    		'desc'        => '',
    		'std'         => 'on',
      ),

      array(
    		'label'       => esc_html__('Padding between title and content', 'manggis'),
    		'id'          => 'manggis_content_padding',
    		'type'        => 'on_off',
    		'desc'        => '',
    		'std'         => 'on',
      )
    )
  );

  $meta_color = array(

    'id'        => 'manggis_portfolio_tax',
    'title'     => esc_html__('Color options', 'manggis'),
    'desc'      => '',
    'pages'     => array('page', 'post'),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(

  	  array(
        'label'       => esc_html__('Title Background Color', 'manggis'),
        'id'          => 'manggis_post_color',
        'type'        => 'colorpicker',
        'desc'        => '',
        'std'         => ''
      ),

  	  array(
        'label'       => esc_html__('Title Text Color', 'manggis'),
        'id'          => 'manggis_title_color',
        'type'        => 'colorpicker',
        'desc'        => '',
        'std'         => ''
      )
    )
  );

  $manggis_pf_options = array(
    'id'        => 'manggis_pf_options',
    'title'     => esc_html__('Portfolio & Page Builder Options', 'manggis'),
    'desc'      => '',
    'pages'     => array('portfolio'),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(

      array(
      	'label'       => esc_html__('General Options', 'manggis'),
      	'id'          => 'manggis_spacer1',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),

      array(
        'label'       => esc_html__('Enable page builder', 'manggis'),
        'id'          => 'manggis_builder_on',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'off',
      ),

      array(
        'label'       => esc_html__('Show as Lightbox', 'manggis'),
        'id'          => 'manggis_show_aslightbox',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'off',
      ),

      array(
        'label'       => esc_html__('Project Item Link Icon on mouse hover (only if Lightbox: On)', 'manggis'),
        'id'          => 'manggis_show_lightbox_link',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'off',
      ),

      array(
        'id'          => 'manggis_video_link',
        'label'       => esc_html__('Video custom URL for Lightbox', 'manggis'),
        'desc'        => esc_html__('Youtube or Vimeo', 'manggis'),
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_video_selfhosted',
        'label'       => esc_html__('Selfhosted video for Lightbox', 'manggis'),
        'desc'        => esc_html__('Upload your own video', 'manggis'),
        'std'         => '',
        'type'        => 'upload',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_video_caption',
        'label'       => esc_html__('Video caption for Lightbox', 'manggis'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'textarea-simple',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_customurl',
        'label'       => esc_html__('Custom URL link', 'manggis'),
        'desc'        => esc_html__('External or Internal', 'manggis'),
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),

      array(
      	'label'       => esc_html__('Show Title', 'manggis'),
      	'id'          => /*'manggis_portfolio_title',*/ 'manggis_display_title',
      	'type'        => 'on_off',
      	'desc'        => '',
      	'std'         => 'on',
      ),

      array(
        'id'          => 'manggis_preview_size',
        'label'       => esc_html__('Packery Image size', 'manggis'),
        'desc'        => esc_html__('Note: Available only for Portfolio 5 columns Packery template', 'manggis'),
        'std'         => 'info-horizontal',
        'type'        => 'radio-image',
        'class'       => '',
        'choices'     => array(
          array(
            'value'   => 'default',
            'label'   => esc_html__('Default', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/packery-default.png'
          ),
          array(
            'value'   => 'size-2x1',
            'label'   => esc_html__('2x1', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/packery-2x1.png'
          ),
          array(
            'value'   => 'size-2x2',
            'label'   => esc_html__('2x2', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/packery-2x2.png'
          ),
          array(
            'value'   => 'size-1x2',
            'label'   => esc_html__('1x2', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/packery-1x2.png'
          )
        )
      ),

      array(
      	'label'       => esc_html__('Portfolio Info', 'manggis'),
      	'id'          => 'manggis_spacer2',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),

      array(
        'id'          => 'manggis_info_position',
        'label'       => esc_html__('Info position', 'manggis'),
        'desc'        => esc_html__('Note: if you want to use Page Builder recommend to choose Horisontal position', 'manggis'),
        'std'         => 'info-horizontal',
        'type'        => 'radio-image',
        'class'       => '',
        'choices'     => array(
          array(
            'value'   => 'info-horizontal',
            'label'   => esc_html__('Horisontal', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/info-horizontal.png'
          ),
          array(
            'value'   => 'info-vertical-right',
            'label'   => esc_html__('Vertical right', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/info-vertical-right.png'
          ),
          array(
            'value'   => 'info-vertical-left',
            'label'   => esc_html__('Vertical left', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/info-vertical-left.png'
          ),
        )
      ),

      array(
        'id'          => 'manggis_info_title',
        'label'       => esc_html__('Project Info Title', 'manggis'),
        'desc'        => esc_html__('Example: Our best work ever', 'manggis'),
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_info_desc',
        'label'       => esc_html__('Project Info Desctiption', 'manggis'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'textarea',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_project_client',
        'label'       => esc_html__('Client', 'manggis'),
        'desc'        => esc_html__('Example: LTP AGency', 'manggis'),
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_project_website',
        'label'       => esc_html__('Website title', 'manggis'),
        'desc'        => esc_html__('Example: Visit website', 'manggis'),
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_project_website_url',
        'label'       => esc_html__('Website URL', 'manggis'),
        'desc'        => esc_html__('Example: http://website.com', 'manggis'),
        'std'         => '',
        'type'        => 'text',
        'class'       => ''
      ),

      array(
        'id'          => 'manggis_project_date',
        'label'       => esc_html__('Project Date', 'manggis'),
        'desc'        => esc_html__('Example: 2016-11-09', 'manggis'),
        'std'         => '',
        'type'        => 'date-picker',
        'class'       => ''
      ),

      array(
        'label'       => esc_html__('Share icons', 'manggis'),
        'id'          => 'manggis_show_share',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'on',
      ),

      array(
        'label'       => esc_html__('Show category', 'manggis'),
        'id'          => 'manggis_show_category',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'on',
      ),

      array(
        'label'       => esc_html__('Show date', 'manggis'),
        'id'          => 'manggis_show_date',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'on',
      ),

      array(
      	'label'       => esc_html__('Categories of Recent projects', 'manggis'),
      	'id'          => 'manggis_spacer3',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),

      array(
        'label' => esc_html__('Select categories of Recent projects to display on this page', 'manggis'),
        'id' => 'manggis_recent_filters',
        'type' => 'taxonomy-checkbox',
        'desc' => esc_html__('Dispays all categories if not selected.', 'manggis'),
        'std' => '',
        'rows' => '',
        'post_type' => '',
        'taxonomy' => 'filters',
        'class' => 'filters-checbox'
      ),

      array(
      	'label'       => esc_html__('Slider Options', 'manggis'),
      	'id'          => 'manggis_spacer4',
      	'type'        => 'tab',
      	'desc'        =>  esc_html__('Options for portfolio page with slider', 'manggis'),
      	'std'         => '',
      ),

      array(
        'label' => esc_html__('Show in Slider', 'manggis'),
        'id' => 'manggis_in_slider',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'off',
      ),

      array(
        'label' => esc_html__('Choose Slider page', 'manggis'),
        'id' => 'manggis_page_slider',
        'type'        => 'page-select',
        'desc'        => '',
        'std'         => '',
      ),

      array(
        'label' => esc_html__('Enable Title link', 'manggis'),
        'id' => 'manggis_slider_title_link',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'on',
      ),

      array(
        'id'          => 'manggis_slider_type',
        'label'       => esc_html__('Type of slide (only for Hero slider)', 'manggis'),
        'desc'        => '',
        'std'         => 'cd-full-width',
        'type'        => 'select',
        'class'       => '',
        'choices'     => array(
          array(
            'value'   => 'cd-full-width',
            'label'   => esc_html__('Text in center', 'manggis'),
          ),
          array(
            'value'   => 'cd-half-width',
            'label'   => esc_html__('Text in left half', 'manggis'),
          ),
          array(
            'value'   => 'cd-bg-video',
            'label'   => esc_html__('Video', 'manggis'),
          ),
        )
      ),

  	  array(
        'id'          => 'manggis_slider_text',
        'label'       => esc_html__('Short text to show in slider', 'manggis'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_slider_image',
        'label'       => esc_html__('Custom image/video for slider (only for Hero slider)', 'manggis'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'upload',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_slider_button1',
        'label'       => esc_html__('Button 1 text (only for Hero slider)', 'manggis'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_slider_button1url',
        'label'       => esc_html__('Button 1 URL (only for Hero slider)', 'manggis'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_slider_button2',
        'label'       => esc_html__('Button 2 text (only for Hero slider)', 'manggis'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_slider_button2url',
        'label'       => esc_html__('Button 2 URL (only for Hero slider)', 'manggis'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      )
    )
  );

  $manggis_video_box = array(
    'id'        => 'manggis_metabox_video',
    'title'     => esc_html__('Post video link', 'manggis'),
    'desc'      => '',
    'pages'     => array( 'post' ),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(

	    array(
        'id'          => 'manggis_video_link',
        'label'       => esc_html__('Link to video (Youtube or Vimeo)', 'manggis'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),

      array(
        'label'       => esc_html__('Self Hosted Video ', 'manggis'),
        'id'          => 'manggis_video_upload',
        'type'        => 'upload',
        'desc'        => '',
        'std'         => '',
        'taxonomy'    => '',
        'class'       => '',
      )
    )
  );

  $manggis_slider_box = array(
    'id'        => 'manggis_metabox_slider',
    'title'     => esc_html__('Portfolio page Slider options', 'manggis'),
    'desc'      => '',
    'pages'     => array( 'portfolio' ),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(

      array(
        'label' => esc_html__('Show in Slider', 'manggis'),
        'id' => 'manggis_in_slider',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'off',
      ),

      array(
        'label' => esc_html__('Choose Slider page', 'manggis'),
        'id' => 'manggis_page_slider',
        'type'        => 'page-select',
        'desc'        => '',
        'std'         => '',
      ),

      array(
        'id'          => 'manggis_slider_type',
        'label'       => esc_html__('Type of slide', 'manggis'),
        'desc'        => '',
        'std'         => 'cd-full-width',
        'type'        => 'select',
        'class'       => '',
        'choices'     => array(
          array(
            'value'   => 'cd-full-width',
            'label'   => esc_html__('Text in center', 'manggis'),
          ),
          array(
            'value'   => 'cd-half-width',
            'label'   => esc_html__('Text in left half', 'manggis'),
          ),
          array(
            'value'   => 'cd-bg-video',
            'label'   => esc_html__('Video', 'manggis'),
          ),
        )
      ),

  	  array(
        'id'          => 'manggis_slider_text',
        'label'       => esc_html__('Short text to show in slider', 'manggis'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_slider_image',
        'label'       => esc_html__('Custom image/video for slider', 'manggis'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'upload',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_slider_button1',
        'label'       => esc_html__('Button 1 text', 'manggis'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_slider_button1url',
        'label'       => esc_html__('Button 1 URL', 'manggis'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_slider_button2',
        'label'       => esc_html__('Button 2 text', 'manggis'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      ),

      array(
        'id'          => 'manggis_slider_button2url',
        'label'       => esc_html__('Button 2 URL', 'manggis'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'class'       => '',
      )
    )
  );

  $manggis_gallery = array(
    'id'        => 'manggis_gallery_options',
    'title'     => esc_html__('Gallery & image options', 'manggis'),
    'desc'      => '',
    'pages'     => array('portfolio', 'post'),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(

      array(
      	'label'       => esc_html__('Gallery', 'manggis'),
      	'id'          => 'manggis_gallery1',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),

      array(
        'id'          => 'manggis_gallery_enable',
        'label'       => esc_html__('Enable Gallery (Off for Video)', 'manggis'),
        'desc'        => '',
        'std'         => 'on',
        'type'        => 'on_off',
        'class'       => ''
      ),

      array(
        'id'          => 'manggis_gallery_layout',
        'label'       => esc_html__('Gallery style', 'manggis'),
        'desc'        => '',
        'std'         => 'slider-gallery',
        'type'        => 'radio-image',
        'class'       => '',
        'choices'     => array(
          array(
            'value'   => 'slider-gallery',
            'label'   => esc_html__('Slider', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/slider-gallery.png'
          ),
          array(
            'value'   => 'tiled-gallery',
            'label'   => esc_html__('Tiled', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/tiled-gallery.png'
          ),
          array(
            'value'   => 'masonry-gallery',
            'label'   => esc_html__('Masonry 4 columns', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/masonry-gallery.png'
          ),
          array(
            'value'   => 'masonry-gallery3',
            'label'   => esc_html__('Masonry 3 columns', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/masonry-gallery3.png'
          ),
          array(
            'value'   => 'classic-gallery',
            'label'   => esc_html__('Classic 6 columns', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/classic-gallery.png'
          ),
          array(
            'value'   => 'classic-gallery4',
            'label'   => esc_html__('Classic 4 columns', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/classic-gallery4.png'
          ),
          array(
            'value'   => 'classic-gallery3',
            'label'   => esc_html__('Classic 3 columns', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/classic-gallery3.png'
          ),
          array(
            'value'   => 'classic-gallery1',
            'label'   => esc_html__('Classic 1 columns', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/classic-gallery1.png'
          ),
          array(
            'value'   => 'classic-gallery-normal',
            'label'   => esc_html__('Classic 1 columns - small', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/classic-gallery-normal.png'
          ),
          array(
            'value'   => 'classic-gallery-small',
            'label'   => esc_html__('Classic 1 columns - super small', 'manggis'),
            'src'     => get_template_directory_uri() . '/assets/images/options/classic-gallery-small.png'
          )
        )
      ),

      array(
        'id'          => 'manggis_gallery_fullwidth',
        'label'       => esc_html__('Gallery Fullwidth', 'manggis'),
        'desc'        => '',
        'std'         => 'on',
        'type'        => 'on_off',
        'class'       => ''
      ),

      array(
        'id'          => 'manggis_portfolio_featuredsize',
        'label'       => esc_html__('Resize featured image to:', 'manggis'),
        'desc'        => '',
        'std'         => 'standard-size',
        'type'        => 'select',
        'class'       => 'not-in-post',
        'choices'     => array(
          array(
            'value'   => 'standard-size',
            'label'   => esc_html__('Do not resize', 'manggis')
          ),
          array(
            'value'   => 'page-size',
            'label'   => esc_html__('Page width (1200px)', 'manggis')
          ),
          array(
            'value'   => 'text-size',
            'label'   => esc_html__('Text width (840px)', 'manggis')
          )
        )
      ),

      array(
        'label' => esc_html__('Gallery images', 'manggis'),
        'id' => 'manggis_gallery_slider',
        'type' => 'gallery',
        'desc' => '',
        'post_type' => 'post'
      )
    )
  );

  $recent_pf_options = array(
    'id'        => 'manggis_recent_pf_options',
    'title'     => esc_html__('Categories to Show', 'manggis'),
    'desc'      => '',
    'pages'     => array('page'),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(

      array(
        'label' => esc_html__('Recent Works section settings', 'manggis'),
        'id' => 'manggis_recent_pofrfolio_textblock',
        'type' => 'textblock',
        'desc' => esc_html__('Under the portfolio post content you can see "Recent Works" section, by default displays 4 latest portfolio posts, here you can configure it to show selected items or filters.', 'manggis'),
        'post_type' => 'post',
      ),

      array(
        'label' => esc_html__('Categories to display', 'manggis'),
        'id' => 'manggis_category_filter',
        'type' => 'category-checkbox'
      )
    )
  );

  $manggis_filters = array(
    'id'        => 'manggis_portfolio_tax',
    'title'     => esc_html__('Portfolio page & Slider options', 'manggis'),
    'desc'      => '',
    'pages'     => array('page'),
    'context'   => 'normal',
    'priority'  => 'high',
    'fields'    => array(

      array(
      	'label'       => esc_html__('Portfolio Style', 'manggis'),
      	'id'          => 'manggis_portfolio1',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),

      array(
        'id'          => 'manggis_portfolio_fullwidth',
        'label'       => esc_html__('Full width portfolio page', 'manggis'),
        'desc'        => '',
        'std'         => 'on',
        'type'        => 'on_off',
        'class'       => ''
      ),

      array(
        'id'          => 'manggis_portfolio_boxedstyle',
        'label'       => esc_html__('Portfolio boxed style', 'manggis'),
        'desc'        => '',
        'std'         => 'off',
        'type'        => 'on_off',
        'class'       => ''
      ),

      array(
      	'label'       => esc_html__('Categories to display', 'manggis'),
      	'id'          => 'manggis_portfolio2',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),

      array(
        'label' => esc_html__('Select portfolio categories to display on this page', 'manggis'),
        'id' => 'manggis_portfolio_filters',
        'type' => 'taxonomy-checkbox',
        'desc' => esc_html__('Dispays all categories if not selected.', 'manggis'),
        'std' => '',
        'rows' => '',
        'post_type' => '',
        'taxonomy' => 'filters',
        'class' => 'filters-checbox'
      ),

      array(
        'id'          => 'manggis_filters_on',
        'label'       => esc_html__('Show filters', 'manggis'),
        'desc'        => '',
        'std'         => 'off',
        'type'        => 'on_off',
        'class'       => ''
      ),

      array(
      	'label'       => esc_html__('Slider Options', 'manggis'),
      	'id'          => 'manggis_portfolio3',
      	'type'        => 'tab',
      	'desc'        => '',
      	'std'         => '',
      ),

      array(
        'id'          => 'manggis_slider_enable',
        'label'       => esc_html__('Show slider on this page', 'manggis'),
        'desc'        => '',
        'std'         => 'off',
        'type'        => 'on_off',
        'class'       => ''
      ),

      array(
        'id'          => 'manggis_slider_nav',
        'label'       => esc_html__('Show slider navigation', 'manggis'),
        'desc'        => '',
        'std'         => 'on',
        'type'        => 'on_off',
        'class'       => ''
      )
    )
  );

  if ( is_plugin_active( 'option-tree/ot-loader.php' ) ) {
    ot_register_meta_box( $manggis_meta_box );
    ot_register_meta_box( $manggis_filters );
    ot_register_meta_box( $manggis_pf_options );
    ot_register_meta_box( $manggis_gallery );
  }

}
