<?php

function manggis_thumb_class($classes) {
  global $post;

  if (has_post_thumbnail($post->ID)) {
    $classes[] = "has-thumbnail";
  }
  return $classes;
}

add_filter('post_class','manggis_thumb_class');

if ( !function_exists('manggis_AddThumbColumn') && function_exists('add_theme_support') ) {
  add_theme_support('post-thumbnails', array( 'post', 'page' ) );

  function manggis_AddThumbColumn($cols) {
    $cols['thumbnail'] = esc_html__( 'Featured Image', 'manggis' );
    return $cols;
  }

  function manggis_AddThumbValue( $column_name, $post_id ) {
    $width = (int) 60;
    $height = (int) 60;

    if ( 'thumbnail' == $column_name ) {
      $thumbnail_id = get_post_meta( $post_id, '_thumbnail_id', true );
      $image_data = wp_get_attachment_image_src( $thumbnail_id, "thumbnail" );
      $attachments = get_children( array('post_parent' => $post_id, 'post_type' => 'attachment', 'post_mime_type' => 'image') );

      if ($thumbnail_id && $image_data[1]) {
        $thumb = wp_get_attachment_image( $thumbnail_id, array($width, $height), true );
      } elseif ($attachments) {
        foreach ( $attachments as $attachment_id => $attachment ) {
          $thumb = wp_get_attachment_image( $attachment_id, array($width, $height), true );
        }
      }

      if ( isset($thumb) && $thumb ) {
        echo wp_get_attachment_image( $thumbnail_id, array($width, $height), true );
      } else {
        echo esc_html__( 'None', 'manggis' );
      }
    }
  }

  add_filter( 'manage_posts_columns', 'manggis_AddThumbColumn' );
  add_action( 'manage_posts_custom_column', 'manggis_AddThumbValue', 10, 2 );

  add_filter( 'manage_pages_columns', 'manggis_AddThumbColumn' );
  add_action( 'manage_pages_custom_column', 'manggis_AddThumbValue', 10, 2 );
}

// function manggis_short_title( $after = '', $length ) {
// 	$mytitle = explode(' ', get_the_title(), $length);
// 	if ( count($mytitle) >= $length ) {
// 		array_pop($mytitle);
// 		$mytitle = implode(" ", $mytitle) . $after;
// 	} else {
// 		$mytitle = implode(" ", $mytitle);
// 	}
// 	return $mytitle;
// }

function manggis_add_nofollow_cat( $text ) {
  $strings = array('rel="category"', 'rel="category tag"', 'rel="whatever may need"');
  $text = str_replace('rel="category tag"', "", $text);
  return $text;
}

add_filter( 'the_category', 'manggis_add_nofollow_cat' );

function manggis_filter_next_post_link( $link ) {
  $link = str_replace("rel=", 'class="next" rel=', $link);
  return $link;
}

add_filter('next_post_link', 'manggis_filter_next_post_link');

function manggis_filter_previous_post_link( $link ) {
  $link = str_replace("rel=", 'class="prev" rel=', $link);
  return $link;
}

add_filter('previous_post_link', 'manggis_filter_previous_post_link'); ?>
