<?php

add_action( 'admin_init', 'manggis_custom_theme_options', 1 );

function manggis_custom_theme_options() {
  $layers = array();
  global $wpdb;

  $saved_settings = get_option( 'option_tree_settings', array() );

  $custom_settings = array(
    'contextual_help' => array(
      'content'       => array( array(
        'id'        => 'general_help',
        'title'     => esc_html__('General', 'manggis'),
        'content'   => esc_html__('Help content goes here!', 'manggis')
      ) ),
      'sidebar'       => esc_html__('Sidebar content goes here!', 'manggis')
    ),

    'sections'        => array(
      array(
        'title'       => esc_html__('General Options', 'manggis'),
        'id'          => 'general'
      ),
      array(
        'title'       => esc_html__('Logo & Menu', 'manggis'),
        'id'          => 'header'
      ),
      array(
        'title'       => esc_html__('Portfolio options', 'manggis'),
        'id'          => 'portfolio'
      ),
      array(
        'title'       => esc_html__('Blog options', 'manggis'),
        'id'          => 'blog'
      ),
      array(
        'title'       => esc_html__('Contacts Map', 'manggis'),
        'id'          => 'map'
      ),
		  array(
        'id'          => 'typo',
        'title'       => esc_html__('Typography', 'manggis')
      ),
      array(
        'id'          => 'wooc',
        'title'       => esc_html__('WooCommerce', 'manggis')
      )
    ),

    'settings'        => array(

      array(
        'label'       => esc_html__('How many menu items to show', 'manggis'),
        'id'          => 'counter_nav',
        'type'        => 'select',
        'desc'        => '',
        'choices'     => array(
          array('label'=> '3','value'=> '4'),
          array('label'=> '4','value'=> '5'),
          array('label'=> '5','value'=> '6'),
          array('label'=> '6','value'=> '7'),
      	  array('label'=> '7','value'=> '8'),
          array('label'=> '8','value'=> '9'),
			    array('label'=> '9','value'=> '10')
        ),
        'std'         => '6',
        'class'       => '',
        'section'     => 'header'
      ),

      array(
        'label'       => esc_html__('Full width navigation menu', 'manggis'),
        'id'          => 'fullwidth_nav',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'off',
        'class'       => '',
        'section'     => 'header'
      ),

      array(
        'label'       => esc_html__('Alternative menu', 'manggis'),
        'id'          => 'alt_nav',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'off',
        'class'       => '',
        'section'     => 'header'
      ),

      array(
        'label'       => esc_html__('Header logo', 'manggis'),
        'id'          => 'logo_upload',
        'type'        => 'upload',
        'desc'        => esc_html__('Better use transparent png', 'manggis'),
        'std'         => '',
        'class'       => '',
        'section'     => 'header'
      ),

      array(
        'label'       => esc_html__('Logo height and width', 'manggis'),
        'id'          => 'logo_dimensions',
        'type'        => 'dimension',
        'desc'        => esc_html__('px', 'manggis'),
        'std'         => '',
        'rows'        => '',
        'class'       => '',
        'section'     => 'header'
      ),

      array(
        'label'       => esc_html__('Logo text', 'manggis'),
        'id'          => 'logo_text',
        'type'        => 'text',
        'desc'        => esc_html__('Text in Logo', 'manggis'),
        'std'         => '',
        'class'       => '',
        'section'     => 'header'
      ),

      array(
        'label'       => esc_html__('Favicon ', 'manggis'),
        'id'          => 'favicon_upload',
        'type'        => 'upload',
        'desc'        => esc_html__('Upload favicon here - PNG or ICO 16x16px', 'manggis'),
        'std'         => '',
        'class'       => '',
        'section'     => 'header'
      ),

      array(
        'label'       => esc_html__('Social links in Main menu', 'manggis'),
        'id'          => 'header_social',
        'type'        => 'social_links',
        'desc'        => ' ',
        'std'         => '',
        'class'       => '',
        'section'     => 'header'
      ),

      array(
        'label'       => esc_html__('Title for template Portofolio + Blog', 'manggis'),
        'id'          => 'title_homepage',
        'type'        => 'text',
        'desc'        => '',
        'std'         => '',
        'class'       => '',
        'section'     => 'blog'
      ),

      array(
        'label'       => esc_html__('Blog Posts count in one page', 'manggis'),
        'id'          => 'blog_postsperpage',
        'type'        => 'select',
        'desc'        => esc_html__('How many posts show on blog page', 'manggis'),
        'choices'     => array(
          array('label'=> '3','value'=> '3'),
          array('label'=> '6','value'=> '6'),
          array('label'=> '9','value'=> '9'),
      	  array('label'=> '12','value'=> '12'),
          array('label'=> '15','value'=> '15'),
          array('label'=> '20','value'=> '20'),
          array('label'=> '30','value'=> '30')
        ),
        'std'         => '12',
        'rows'        => '',
        'class'       => '',
        'section'     => 'blog'
      ),

      array(
        'label'       => esc_html__('Portfolio number of items to display', 'manggis'),
        'id'          => 'portfolio_showpost',
        'type'        => 'select',
        'desc'        => esc_html__('Choose how many items to display on portfolio page', 'manggis'),
        'choices'     => array(
          array('label'=> '6','value'=> '6'),
          array('label'=> '7','value'=> '7'),
          array('label'=> '8','value'=> '8'),
          array('label'=> '9','value'=> '9'),
          array('label'=> '10','value'=> '10'),
          array('label'=> '11','value'=> '11'),
          array('label'=> '12','value'=> '12'),
          array('label'=> '13','value'=> '13'),
          array('label'=> '14','value'=> '14'),
          array('label'=> '15','value'=> '15'),
          array('label'=> '16','value'=> '16'),
          array('label'=> '32','value'=> '32'),
          array('label'=> 'All','value'=> '999')
        ),
        'std'         => '12',
        'class'       => '',
        'section'     => 'portfolio'
      ),

      array(
        'id'          => 'portfolio_sorting',
        'label'       => esc_html__('Projects Order', 'manggis'),
        'desc'        => '',
        'section'     => 'portfolio',
        'std'         => 'date',
        'type'        => 'select',
        'class'       => '',
        'choices'     => array(
          array('label'=> esc_html__('by Date', 'manggis'),'value'=> 'date'),
          array('label'=> esc_html__('by Title', 'manggis'),'value'=> 'title'),
          array('label'=> esc_html__('by Name (slug)', 'manggis'),'value'=> 'name'),
          array('label'=> esc_html__('Random', 'manggis'),'value'=> 'rand')
        )
      ),

      array(
        'id'          => 'portfolio_order',
        'label'       => esc_html__('Projects Sorting', 'manggis'),
        'desc'        => '',
        'section'     => 'portfolio',
        'std'         => 'DESC',
        'type'        => 'select',
        'class'       => '',
        'choices'     => array(
          array('label'=> esc_html__('Descending', 'manggis'),'value'=> 'DESC'),
          array('label'=> esc_html__('Ascending', 'manggis'),'value'=> 'ASC')
        )
      ),

      array(
       'label'       => esc_html__('Infinite scroll', 'manggis'),
       'id'          => 'infinite_off',
       'type'        => 'on_off',
       'desc'        => '',
       'std'         => 'off',
       'class'       => '',
       'section'     => 'portfolio'
      ),

      array(
        'label'       => esc_html__('Portfolio navigation arrows on single Page', 'manggis'),
        'id'          => 'display_portfolio_nav',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'on',
        'class'       => '',
        'section'     => 'portfolio'
      ),

      array(
        'label'       => esc_html__('Recent Projects on single Page', 'manggis'),
        'id'          => 'recent_portfolio',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'on',
        'class'       => '',
        'section'     => 'portfolio'
      ),

      array(
       'label'       => esc_html__('Show share icons', 'manggis'),
       'id'          => 'portfolio_share_on',
       'type'        => 'on_off',
       'desc'        => '',
       'std'         => 'on',
       'class'       => '',
       'section'     => 'portfolio'
      ),

      array(
        'label'       => esc_html__('Portfolio default archive/category/recent projects style', 'manggis'),
        'id'          => 'default_style',
        'type'        => 'select',
        'desc'        => '',
        'choices'     => array(
          array('label'=>  esc_html__('4 columns', 'manggis'), 'value'=> 'portfolio-four'),
          array('label'=>  esc_html__('6 columns', 'manggis'), 'value'=> 'portfolio-six'),
        ),
        'std'         => 'portfolio-four',
        'class'       => '',
        'section'     => 'portfolio'
      ),

      array(
        'label'       => esc_html__('Show author info', 'manggis'),
        'id'          => 'hide_author',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'on',
        'class'       => '',
        'section'     => 'blog'
      ),

      array(
        'label'       => esc_html__('Blog Sidebar', 'manggis'),
        'id'          => 'blog_layout',
        'type'        => 'radio',
        'desc'        => esc_html__('Choose sidebar side on blog.', 'manggis'),
        'std'         => 'no-sidebar',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'choices'     => array(
          array(
            'value'   => 'left-sidebar',
            'label'   => esc_html__('Left Sidebar', 'manggis'),
          ),
          array(
            'value'   => 'right-sidebar',
            'label'   => esc_html__('Right Sidebar', 'manggis'),
          ),
    		  array(
            'value'   => 'no-sidebar',
            'label'   => esc_html__('No Sidebar', 'manggis'),
          )
        ),
        'class'       => '',
        'section'     => 'blog'
      ),

      array(
        'label'       => esc_html__('Relates Posts Count', 'manggis'),
        'id'          => 'related_postcount',
        'type'        => 'select',
        'desc'        => esc_html__('How many relates posts show on post page', 'manggis'),
        'choices'     => array(
          array('label'=> '3','value'=> '3'),
          array('label'=> '6','value'=> '6'),
      	  array('label'=> '9','value'=> '9')
        ),
        'std'         => '3',
        'class'       => '',
        'section'     => 'blog'
      ),

      array(
        'id'          => 'hide_comments',
        'label'       => esc_html__('Hide comments for all posts', 'manggis'),
        'desc'        => '',
        'std'         => 'no',
        'section'     => 'blog',
        'type'        => 'select',
        'desc'        => esc_html__('Enable/disable comments on blog pages', 'manggis'),
        'choices'     => array(
          array(
            'label'       => esc_html__('No', 'manggis'),
            'value'       => 'no'
          ),
          array(
            'label'       => esc_html__('Yes', 'manggis'),
            'value'       => 'yes'
          )
        )
      ),

      array(
        'id'          => 'color_scheme',
        'label'       => esc_html__('Theme Color scheme', 'manggis'),
        'desc'        => '',
        'std'         => 'dark',
        'section'     => 'general',
        'type'        => 'select',
        'desc'        => esc_html__('Choose main color scheme', 'manggis'),
        'choices'     => array(
          array(
            'label'       => esc_html__('Dark', 'manggis'),
            'value'       => 'dark'
          ),
          array(
            'label'       => esc_html__('Light', 'manggis'),
            'value'       => 'light'
          )
        )
      ),

      array(
        'label'       => esc_html__('Enable page preloader', 'manggis'),
        'id'          => 'preloader_on',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'off',
        'class'       => '',
        'section'     => 'general'
      ),

      array(
        'label'       => esc_html__('Preloader Color', 'manggis'),
        'id'          => 'preloader_color',
        'type'        => 'colorpicker-opacity',
        'desc'        => '',
        'std'         => '',
        'class'       => '',
        'section'     => 'general'
      ),

      array(
        'label'       => esc_html__('Theme Main Color', 'manggis'),
        'id'          => 'main_color',
        'type'        => 'colorpicker',
        'desc'        => '',
        'std'         => '',
        'class'       => '',
        'section'     => 'general'
      ),

      array(
        'label'       => esc_html__('Google Map API key', 'manggis'),
        'id'          => 'map_key',
        'type'        => 'text',
        'desc'        => esc_html__('It may be necessary to register a Google API key in order to allow the Google API to load correctly. Please follow this link to <a href="https://developers.google.com/maps/documentation/javascript/get-api-key">get a Google API key</a>', 'manggis'),
        'std'         => '',
        'class'       => '',
        'section'     => 'map'
      ),

      array(
        'label'       => esc_html__('Enable Map in Contacts page', 'manggis'),
        'id'          => 'map_on',
        'type'        => 'on_off',
        'desc'        => '',
        'std'         => 'on',
        'class'       => '',
        'section'     => 'map'
      ),

      array(
        'label'       => esc_html__('Contacts Map height', 'manggis'),
        'id'          => 'map_height',
        'type'        => 'select',
        'desc'        => '',
        'choices'     => array(
          array('label'=> esc_html__('Default', 'manggis'),'value'=> 'default'),
          array('label'=> esc_html__('30%', 'manggis'),'value'=> 'map30'),
      	  array('label'=> esc_html__('50%', 'manggis'),'value'=> 'map50'),
          array('label'=> esc_html__('100%', 'manggis'),'value'=> 'map100')
          ),
        'std'         => '3',
        'class'       => '',
        'section'     => 'map'
      ),

      array(
        'label'       => esc_html__('Contacts Map address', 'manggis'),
        'id'          => 'map_address',
        'type'        => 'text',
        'desc'        => esc_html__('Example: 21 West St, New York, NY 10006', 'manggis'),
        'std'         => '',
        'class'       => '',
        'section'     => 'map'
      ),

      array(
        'label'       => esc_html__('Latitude (optional)', 'manggis'),
        'id'          => 'map_lat',
        'type'        => 'text',
        'desc'        => esc_html__('Example: 40.7063666', 'manggis'),
        'std'         => '',
        'class'       => '',
        'section'     => 'map'
      ),

      array(
        'label'       => esc_html__('Longitude (optional)', 'manggis'),
        'id'          => 'map_lon',
        'type'        => 'text',
        'desc'        => esc_html__('Example: -74.0156634', 'manggis'),
        'std'         => '',
        'class'       => '',
        'section'     => 'map'
      ),

      array(
        'id'          => 'custom_css',
        'label'       => esc_html__('Custom CSS', 'manggis'),
        'desc'        => esc_html__('To prevent problems with theme update write here custom CSS code', 'manggis'),
        'std'         => '',
        'type'        => 'css',
        'section'     => 'general',
        'rows'        => '',
        'class'       => ''
      ),

      array(
        'id'          => 'google_fonts',
        'label'       => esc_html__('Google Fonts', 'manggis'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'google-fonts',
        'section'     => 'typo',
        'class'       => '',
        'operator'    => 'and'
      ),

      array(
        'label'       => esc_html__('Body Font', 'manggis'),
        'id'          => 'body_font',
        'type'        => 'typography',
        'desc'        => '',
        'std'         => '',
        'class'       => '',
        'section'     => 'typo'
      ),

      array(
        'label'       => esc_html__('Menu Font', 'manggis'),
        'id'          => 'menu_font',
        'type'        => 'typography',
        'desc'        => '',
        'std'         => '',
        'class'       => '',
        'section'     => 'typo'
      ),

      array(
        'label'       => esc_html__('Logo Font', 'manggis'),
        'id'          => 'logo_font',
        'type'        => 'typography',
        'desc'        => '',
        'std'         => '',
        'class'       => '',
        'section'     => 'typo'
      ),

      array(
        'label'       => esc_html__('H1 Headers Font', 'manggis'),
        'id'          => 'h1_font',
        'type'        => 'typography',
        'std'         => '',
        'class'       => '',
        'section'     => 'typo'
      ),

      array(
        'label'       => esc_html__('H2 Headers Font', 'manggis'),
        'id'          => 'h2_font',
        'type'        => 'typography',
        'std'         => '',
        'class'       => '',
        'section'     => 'typo'
      ),

      array(
        'label'       => esc_html__('H3 Headers Font', 'manggis'),
        'id'          => 'h3_font',
        'type'        => 'typography',
        'std'         => '',
        'class'       => '',
        'section'     => 'typo'
      ),

      array(
        'label'       => esc_html__('H4 Headers Font', 'manggis'),
        'id'          => 'h4_font',
        'type'        => 'typography',
        'std'         => '',
        'class'       => '',
        'section'     => 'typo'
      ),

      array(
        'label'       => esc_html__('H5 Headers Font', 'manggis'),
        'id'          => 'h5_font',
        'type'        => 'typography',
        'std'         => '',
        'class'       => '',
        'section'     => 'typo'
      ),

      array(
        'label'       => esc_html__('H6 Headers Font', 'manggis'),
        'id'          => 'h6_font',
        'type'        => 'typography',
        'std'         => '',
        'class'       => '',
        'section'     => 'typo'
      ),

      array(
        'label'       => esc_html__('Shop price main color', 'manggis'),
        'id'          => 'shop_color',
        'type'        => 'colorpicker',
        'desc'        => '',
        'std'         => '',
        'class'       => '',
        'section'     => 'wooc'
      ),

      array(
        'label'       => esc_html__('Cart Icon show on', 'manggis'),
        'id'          => 'woo_cart_icon',
        'type'        => 'radio',
        'desc'        => '',
        'choices'     => array(
          array('label'=> esc_html__('All Pages', 'manggis'),'value'=> 'all-pages'),
          array('label'=> esc_html__('Only shop pages', 'manggis'),'value'=> 'shop-pages'),
          array('label'=> esc_html__('Nowhere', 'manggis'),'value'=> 'no-pages')
        ),
        'std'         => 'no-pages',
        'class'       => '',
        'section'     => 'wooc'
      ),

      array(
        'label'       => esc_html__('Shop Title text', 'manggis'),
        'id'          => 'shop_title',
        'type'        => 'text',
        'desc'        => esc_html__('Example: Shop', 'manggis'),
        'std'         => '',
        'class'       => '',
        'section'     => 'wooc'
      ),

      array(
      	'label'       => esc_html__('Show Title', 'manggis'),
      	'id'          => 'shop_display_title',
      	'type'        => 'on_off',
      	'desc'        => '',
      	'std'         => 'on',
        'section'     => 'wooc'
      ),

      array(
				'id'           => 'shop_page_select',
				'label'        => esc_html__('Shop Page', 'manggis'),
				'desc'         => esc_html__('Define Page wich you use for Shop (hepls for menu)', 'manggis'),
				'std'          => '',
				'type'         => 'page-select',
				'section'      => 'wooc',
				'rows'         => '',
				'post_type'    => '',
				'taxonomy'     => '',
				'min_max_step' => '',
				'class'        => '',
				'condition'    => '',
				'operator'     => 'and',
			),

      array(
        'label'       => esc_html__('Shop Title height', 'manggis'),
        'id'          => 'shop_title_height',
        'type'        => 'select',
        'desc'        => '',
        'choices'     => array(
          array(
            'value'   => 'titleheight-standard',
            'label'   => esc_html__('Standard', 'manggis'),
          ),
          array(
            'value'   => 'titleheight-30',
            'label'   => esc_html__('30%', 'manggis'),
          ),
          array(
            'value'   => 'titleheight-50',
            'label'   => esc_html__('50%', 'manggis'),
          ),
          array(
            'value'   => 'titleheight-100',
            'label'   => esc_html__('100%', 'manggis'),
          ),
        ),
        'std'         => 'titleheight-standard',
        'class'       => '',
        'section'     => 'wooc'
      ),

      array(
        'label'       => esc_html__('Shop Title image', 'manggis'),
        'id'          => 'shop_title_image',
        'type'        => 'upload',
        'desc'        => esc_html__('Preferred size: 1800 - 2600 pixels wide', 'manggis'),
        'std'         => '',
        'class'       => '',
        'section'     => 'wooc'
      ),

    )
  );

	if ( $saved_settings !== $custom_settings ) {
	  update_option( 'option_tree_settings', $custom_settings );
	}

}
