<?php
/**
 * The Archive template file.
 * @package WordPress
 */
get_header(); ?>

<?php  $blog_postsperpage = ( function_exists('ot_get_option') && ot_get_option('blog_postsperpage') ) ? esc_html(ot_get_option('blog_postsperpage')) : get_option('posts_per_page');

$cat_tag = 'cat';
$value = $date_query = '';

if (is_tag() || is_category()) {
	$queried_object = get_queried_object();
	$cat_tag = ($queried_object->taxonomy == 'post_tag') ? 'tag_id' : 'cat';
	$value = $queried_object->term_id;
}

if (is_month()) {
	$date_query = (get_query_var('monthnum')) ? array( array( 'month' => get_query_var('monthnum'), 'year' => get_query_var('year') )) : '';
}

$blog_query_args = array(
	'post_type' => 'post',
	'post_status' => 'publish',
	$cat_tag => $value,
	'posts_per_page' => $blog_postsperpage,
	'date_query' => $date_query
);

$blog_query = new WP_Query( $blog_query_args ); ?>

	<div class="ajax-content">
		<div id="ajax-loader">
			<div class="spinner">
				<div class="bounce1"></div>
				<div class="bounce2"></div>
				<div class="bounce3"></div>
			</div>
		</div>
		<div class="container blog-content">

		<?php while ($blog_query->have_posts()) : $blog_query->the_post();
			get_template_part('/templates/blog/blog', 'loop');
		endwhile; ?>

	</div>
</div>

<?php manggis_loadmore_posts( 'blog', $set_cat = (is_category()) ? $queried_object->term_id : false, $set_tag = (is_tag()) ? $queried_object->term_id : false, $set_month = (is_month()) ? get_query_var('monthnum') . '/' . get_query_var('year') : false ); ?>

<?php if ( function_exists('ot_get_option') && ot_get_option('infinite_off') != 'off') { manggis_get_appear('#footer', '#next-posts'); } ?>

<?php if ( get_post_meta($post->ID, 'manggis_sidebar_on', true) == "on" ) { get_sidebar(); } ?>

<?php get_footer(); ?>
