( function( $ ) {

	$(window).resize(function(){
		manggis_addFullWidth();
		manggis_getHeight();
		manggis_videoWidth();
		manggis_getItemHeight();
		manggis_getFullWidth();
		manggis_setMenuPadding();
		manggis_sliderWidth();
	});

	$(document).ready(function(){
		manggis_getItemHeight();
		manggis_addFullWidth();
		manggis_sidebar();
		manggis_imagesLoaded();
		manggis_getHeight();
		manggis_videoWidth();
		manggis_setMenuPadding();
		manggis_getMasonry();
		getGalleryMasonry();
		manggis_infinitePortfolio();
		manggis_loadByTimeline();
		manggis_loadByPost();
		manggis_addFancybox();
		manggis_getFullWidth();
		manggis_showMiniCart();
		manggis_sliderWidth();
		manggis_getOwl();
	});

	$(window).load(function() {
  	manggis_getMasonry();
	})

	function manggis_sliderWidth() {
		$('.fullscreen-slider .owl-wrapper-outer').each(function() {
			var gallery = $(".owl-wrapper-outer");
			var galleryItem = $( '.owl-item' );
			var galleryImage = $( '.fullscreen-slider .owl-item img' );
			var galleryShortcodeImage = $( '.shortcode-gallery-full .owl-item img' );
			var galleryShortcodeItem = $( '.shortcode-gallery .owl-item' );
			var galleryRatio;
			if (gallery) {
				if (galleryItem.height() <= $(window).height() ) {
					$(this).css({"height": $(window).height()})
				} else {
					$(this).css({"height": ""})
				}

				galleryImage.each(function() {
					galleryRatio = $(this).attr( 'data-ratio' );
					if ( $(window).height()*galleryRatio >= $(window).width() ) {
						$(this).css({"width": $(window).height()*galleryRatio, "height": $(window).height(), "margin-left": ($(window).width() - $(window).height()*galleryRatio)/2})
					} else {
						$(this).css({"width": "", "height": "", "margin-left": ""})
					}
				});

				if ($(window).width() > 959) {
					$('.fullscreen-slider, .owl-item').css({'height' : $(window).height() - $('#site-navigation').height() - $('.submenu-container').height()});
				}

				if ($(window).width() < 959) {
					$('.fullscreen-slider, .owl-item').css({'height' : $(window).height() - $('#site-navigation').height()});
				}

				/*galleryShortcodeImage.each(function() {
					galleryRatio = $(this).attr( 'data-ratio' );
					$(this).css({"width": $(window).width(), "height": $(window).width()/galleryRatio})
				});*/

			}
		});
	}

	if ($('body').find("#comment, .wpcf7-textarea") && !$('body').hasClass('woocommerce')) {
		$('#comment, .wpcf7-textarea').focusout(function() {
			if ($(this).val().trim().length > 0) {
				$(this).css({"height": 200});
			}
		});
	}

	$( '.menu-dropdown' ).on( 'click', function() {
		$( '.nav-menu, .menu-dropdown, body' ).toggleClass( 'toggled-on' );
	} );

	function manggis_showMiniCart() {
		$( '.header-sidebar' ).on( 'click', '.cart-contents', function(event) {
			event.preventDefault();
			var thisis = $(this),
			minicartHeader = thisis.closest( '.header-sidebar' ).find('.minicart-header');
			if ( minicartHeader.hasClass( 'opened' ) ) {
				minicartHeader.removeClass( 'opened' );
			} else {
				minicartHeader.addClass( 'opened' );
			}
		} );

		$( 'body' ).on( 'click', function(event) {
			if ( $('.header-sidebar').find('.minicart-header').hasClass( 'opened' ) && !$(event.target).hasClass('cart-contents') && !$(event.target).closest('.minicart-header').hasClass('opened') ) {
				$('.header-sidebar').find('.minicart-header').removeClass( 'opened' );
			}
		});
	}

	function manggis_addFancybox() {
		$("[data-fancybox]").fancybox({
			loop: true,
			animationEffect: "zoom-in-out",
			preventCaptionOverlap: false,
			infobar: false,
			buttons : [
				"close"
			],
			btnTpl: {
		    close:
					'<button data-fancybox-close="" class="fancybox-button fancybox-button--close" title="Close">' +
					'</button>',

		    arrowLeft:
					'<button data-fancybox-prev="" title="Previous" class="fancybox-arrow fancybox-arrow--left">' +
					'</button>',

		    arrowRight:
					'<button data-fancybox-next="" title="Next" class="fancybox-arrow fancybox-arrow--right">' +
					'</button>',
			},
			helpers:  {
				title:  { type : 'inside' }
			},
			media : {
        youtube : {
            params : {
                autoplay : 1
            }
        },
				vimeo : {
            params : {
                autoplay : 1
            }
        }
    	},
			mobile : {
        idleTime : false,
        margin   : 0
			}
		});
		$( '.hentry' ).fitVids();
	}

	function manggis_sidebar() {

		$('.sidebar-btn').on('click', function(event){
			event.preventDefault();
			$('.floated-sidebar').addClass('is-visible');
			$('.sidebar-hider').addClass('is-visible');
		});

		$('.floated-sidebar').on('click', function(event){
			if ( $(event.target).is('.sidebar-close')) {
				$('.floated-sidebar').removeClass('is-visible');
				$('.sidebar-hider').removeClass('is-visible');
				event.preventDefault();
			}
		});

		$('.sidebar-hider').on('click', function() {
			$('.floated-sidebar').removeClass('is-visible');
			$('.sidebar-hider').removeClass('is-visible');
		});

	}

	function manggis_getFullWidth() {
		if ($(".shortcode-gallery-full, .content-self-container, .content-self-container-full")) {
			if ( $('.content-wrapper').find( ".portfolio-text" ).length > 0 ) {
				$(".shortcode-gallery-full, .content-self-container, .content-self-container-full").css({"margin-left": $( '.portfolio-text' ).width()/2-$(window).width()/2, "max-width":"none", "width": $(window).width()})
			} else if ( $('.content-wrapper').find( ".post-description" ).length > 0 ) {
				$(".shortcode-gallery-full, .content-self-container, .content-self-container-full").css({"margin-left": $( '.post-description' ).width()/2-$(window).width()/2, "max-width":"none", "width": $(window).width()})
			}
		}
	}

	$('.nav-menu .menu-item-has-children').on('mouseenter', function() {
	  var $this = $(this);
	  if (!$this.hasClass('current_page_item')) {
	    $this.find('.sub-menu').addClass('submenu-open');
	  }
	});

	$('.menu-item-has-children').on('mouseleave', function() {
	  var $this = $(this);
	  if (!$this.hasClass('current_page_item')) {
	    $(this).find('.sub-menu').removeClass('submenu-open');
	  }
	});

	function manggis_setMenuPadding() {
		if ( $(window).width() > 959 && !$('#site-navigation').hasClass('menu-alt') ) {
			$(".nav-menu").find(".sub-menu").each( function() {
				$(this).css({ "top": $("#site-navigation").height() })
			});
			$(".nav-menu").find(".sub-menu").each( function() {
				$(this).css({ "top": $("#site-navigation").height() + $('#wpadminbar').height() })
			});
			$("#navigation").find(".nav-menu > .menu-item > a:first-child").each( function() {
				$(this).css({"height": $("#site-navigation").height()})
			});
			$('.floated-sidebar').find('.sidebar-close').css({"top" : 10 + $('#wpadminbar').height()});
		} else {
			$(".nav-menu").find(".sub-menu").each( function() {
				$(this).css({ "top": "" })
			});
			$("#navigation").find(".nav-menu > .menu-item > a:first-child").each( function() {
				$(this).css({ "height": "" })
			});
		}
	}

	var $container = $( '#portfolio-wrapper, .blog-content, #shop-wrapper' ),
	$container_gallery = $( '#portfolio-gallery-wrapper' );

	function manggis_getMasonry() {
		var newWidth = '';

		if ($("body").is(".page-template-template-portfolio5col-mixed")) {
			newWidth = '.portfolio_sizer';
		}

		$container.masonry( {
			columnWidth: newWidth,
			itemSelector: '.portfolio-item, .blog-item, .shop-item'
		});
	}

	function getGalleryMasonry() {
		$container_gallery.masonry( {
			itemSelector: '.portfolio-gallery-item'
		});
	}

	function manggis_ChangeUrl(page, url) {
    if (typeof (history.pushState) != "undefined") {
      var obj = { Page: page, Url: url };
      history.pushState(obj, obj.Page, obj.Url);
    }
  }

	var exclude = '',
	offset = 0;

	function manggis_loadByTimeline() {

		var month,	count, columns,
		perpage = +$( '#next-posts' ).attr( 'data-perpage' );
		offset = perpage;

		var $post_container = $( '.blog-content' ),
		all = +$( '#next-posts' ).attr( 'data-all' );

		if ( offset >= all ) {
			$( '.load-more' ).addClass( 'hide' );
		}

		$('.events li a').on( 'click', function( e ) {

			$( '#ajax-loader' ).fadeIn(100);

				all = +$( this ).attr( 'data-posts' );

				if ( perpage < all && $( '.load-more' ).hasClass( 'hide' ) ) {
					$( '.load-more' ).removeClass( 'hide' );
				}
				if ( perpage >= all ) {
					$( '.load-more' ).addClass( 'hide' );
				}

				e.preventDefault();

				manggis_ChangeUrl('page', $( this ).attr('href') );
				var posts = $( this ).attr( 'data-posts' );
				var page = $( this ).attr( 'data-page' );

				var lastClicked = $(this).data( "lastClicked" ) || 0;
				month = $( this ).attr( 'data-date' );
				count = $( this ).attr( 'data-count' );
				//offset = $( '#next-posts' ).attr( 'data-perpage' );

				if (new Date() - lastClicked >= 1000) {
					$(this).data( "lastClicked", new Date() );
					$( function() {
						if (e.handled !== true) {
							e.handled = true;
							setTimeout( callTimelineAjax, 100 );
						}
					});
				}

				function callTimelineAjax() {
					$.ajax( {
						type : 'POST',
						url : infinite_url.ajax_url,
						data : {
							action : 'ajax_blog',
							month : month,
							page : page
						},
						success : function( response ) {
							var elem = $( response ).addClass( 'hidden' );
							$post_container.html( elem );
							elem.removeClass( 'hidden' );
							$post_container.masonry( 'prepended', elem );
							offset = perpage;
							//console.log(all);
							exclude = '';

							$( '#next-posts' ).attr( 'data-date', month);
							if (page) {
								$( '#next-posts' ).attr( 'data-date', page);
							}
							$( '#next-posts' ).attr( 'data-all', posts);
							$( '#ajax-loader' ).delay(990).fadeOut("slow");
						},
					});
				}

		} );
	}

	function manggis_loadByPost() {
		var perpage = +$( '#next-posts' ).attr( 'data-perpage' ),
		month, all, columns;
		offset = perpage;

		var $post_container = $( '.blog-content' ),
		loadtext = $( '#next-posts' ).data( 'load' ),
		loadingtext = $( '#next-posts' ).data( 'loading' );

		if ( offset >= all ) {
			$( '.load-more' ).addClass( 'hide' );
		}

		$('#next-posts').on( 'click', function( e ) {

			$( '.blog-content' ).find( '.blog-item' ).each( function() {
				exclude = exclude + $( this ).attr( 'data-id') + ',';
			});

				e.preventDefault();

				$( this ).text( loadingtext ).fadeIn();
				$( '.loadmore-img' ).fadeIn();

				var lastClicked = $(this).data( "lastClicked" ) || 0;
				month = $( this ).attr( 'data-date' );
				var	all = +$( '#next-posts' ).attr( 'data-all' ),
				category = $( this ).attr( 'data-cat' ),
				month_num = $( this ).attr( 'data-month' ),
				tag = $( this ).attr( 'data-tag' );
				/*filter = $( this ).attr( 'data-filter' );
				columns = $( '#next-projects' ).attr( 'data-columns');*/

				if (new Date() - lastClicked >= 1000) {
					$(this).data( "lastClicked", new Date() );
					$( function() {
						if (e.handled !== true) {
							e.handled = true;
							setTimeout( callPostAjax, 100 );
						}
					});
				}

				function callPostAjax() {
					$.ajax( {
						type : 'POST',
						url : infinite_url.ajax_url,
						data : {
							action : 'ajax_blog',
							exclude : exclude,
							month : month,
							month_num : month_num,
							category : category,
							tag : tag
						},
						success : function( response ) {
							var elem = $( response ).addClass( 'hidden' );
							$post_container.append( elem );
							//getItemHeight();
							$post_container.masonry( 'appended', elem );
							elem.removeClass( 'hidden' );

							offset = perpage + offset;

							if ( offset >= all ) {
								$( '.load-more' ).addClass( 'hide' );
							}

							$( '.loadmore-img' ).fadeOut();
							$( '#next-posts' ).text( loadtext ).fadeIn();

							//console.log( offset );
						},
					});
				}

		} );
	}

	function manggis_infinitePortfolio() {
		var filter,	count, all, columns,
		perpage = $( '#next-projects' ).data( 'perpage' ),
		loadtext = $( '#next-projects' ).data( 'load' ),
		loadingtext = $( '#next-projects' ).data( 'loading' ),
		offset = perpage;

		if ( offset >= $( '#next-projects' ).attr( 'data-all' ) ) {
			$( '.load-more' ).addClass( 'hide' );
		}

		$('#filter li').click( function( e ) {

			var $container = $( '#portfolio-wrapper' );

			if ($( this ).attr( 'data-filter' ) !== $( '#next-projects' ).attr( 'data-filter' )) {

				e.preventDefault();

				$( '#ajax-loader' ).fadeIn(100);

				var lastClicked = $(this).data( "lastClicked" ) || 0;
				count = $( this ).attr( 'data-count' );
				offset = 0;
				var style = $( '#next-projects' ).attr( 'data-style' );
				filter = $( this ).attr( 'data-filter' );
				columns = $( '#next-projects' ).attr( 'data-columns');

				if (new Date() - lastClicked >= 1000) {
					$(this).data( "lastClicked", new Date() );
					$( function() {
						if (e.handled !== true) {
							e.handled = true;
							setTimeout( callAjax, 100 );
						}
					});
				}

				function callAjax() {
					$.ajax( {
						type : 'POST',
						url : infinite_url.ajax_url,
						data : {
							action : 'ajax_infinite',
							perpage : perpage,
							offset : offset,
							filter : filter,
							columns : columns,
							style : style
						},
						success : function( response ) {
							var elem = $( response ).addClass( 'hidden' );
							$container.html( elem );
							manggis_getItemHeight();
							manggis_imagesLoaded();
							if (style) { manggis_getHeight(); }
							$container.masonry( 'prepended', elem );
							elem.removeClass( 'hidden' );

							offset = perpage + offset;

							if ( perpage >= count ) {
								$( '.load-more' ).addClass( 'hide' );
							} else {
								$( '.load-more' ).removeClass( 'hide' );
							}

							$( '#ajax-loader' ).delay(990).fadeOut("slow");
							//console.log( columns );
						}
					});
				}

				$( '#next-projects' ).attr( 'data-filter', filter );
				$( '#next-projects' ).attr( 'data-all', count );
				$( this ).parent().find( 'a' ).removeClass( 'active' );
				$( this ).find( 'a' ).addClass( 'active' );
			}

		} );

		$( '#next-projects' ).click( function( e ) {

			var $container = $( '#portfolio-wrapper' );

			e.preventDefault();
			var exclude = '',
			style = $( this ).attr( 'data-style' );
			var lastClicked = $(this).data( "lastClicked" ) || 0;
			all = $( this ).attr( 'data-all' );
			filter = $( this ).attr( 'data-filter' );
			columns = $( '#next-projects' ).attr( 'data-columns');
			$( '#portfolio-wrapper' ).find( '.portfolio-item' ).each( function() {
				exclude = exclude + $( this ).attr( 'data-id') + ',';
			});

			$( this ).text( loadingtext ).fadeIn();
			$( '.loadmore-img' ).fadeIn();

			if (new Date() - lastClicked >= 1000) {
				$(this).data( "lastClicked", new Date() );
				$( function() {
					if (e.handled !== true) {
						e.handled = true;
						setTimeout(callAjax, 100);
					}
				});
			}

			function callAjax() {
				$.ajax( {
					type : 'POST',
					url : infinite_url.ajax_url,
					data : {
						action : 'ajax_infinite',
						perpage : perpage,
						//offset : offset,
						filter : filter,
						columns : columns,
						exclude : exclude,
						style : style
					},
					success : function( response ) {
						var elem = $( response ).addClass( 'hidden' );
						$container.append( elem );
						manggis_getItemHeight();
						manggis_imagesLoaded();
						if (style) { manggis_getHeight(); }
						$container.masonry( 'appended', elem );
						elem.removeClass( 'hidden' );

						offset = perpage + offset;

						if ( offset >= all ) {
							$( '.load-more' ).addClass( 'hide' );
						}
						$( '.loadmore-img' ).fadeOut();
						$( '#next-projects' ).text( loadtext ).fadeIn();
						//console.log( style );
					}
				});
			}

		});
	}

	function manggis_imagesLoaded() {
    $(".portfolio-item").imagesLoaded({ background: ".thumb" }).always(function() {
      return $(".portfolio-item").addClass("loaded");
    });
	}

 /* Images alignment */

	function manggis_getItemHeight() {
		if ($("#portfolio-wrapper").length > 0 ) {

			if ($('.portfolio_container').hasClass('boxed-style')) {

				$('.portfolio-item:not(.masonry-item)').each(function() {
					var $this = $(this);
				  if ($this.hasClass('size-2x1') && $(window).width() > 959) {
						$(this).css({"height": Math.floor(($(this).width() - 20)/2)})
					} else if ($this.hasClass('size-1x2')  && $(window).width() > 959) {
						$(this).css({"height": Math.floor($(this).width() * 2 + 20)})
					} else {
						$(this).css({"height": $(this).width()})
					}
				})

			} else {

				$('.portfolio-item:not(.masonry-item)').each(function() {
					var $this = $(this);
				  if ($this.hasClass('size-2x1') && $(window).width() > 959) {
						$(this).css({"height": Math.floor(($(this).width())/2)})
					} else if ($this.hasClass('size-1x2') && $(window).width() > 959) {
						$(this).css({"height": Math.floor($(this).width() * 2)})
					} else {
						$(this).css({"height": $(this).width()})
					}
				})

			}

		}
	}

	function manggis_addFullWidth() {
		if ($(window).width() > 959) {
			$(".related-posts").css({"margin-left": "-10px", "max-width":"none", "width": $(".related-posts").width() + 20})
		} else {
			$(".related-posts").css({"margin-left": "0", "width" : "auto" });
		}
	}

	function manggis_videoWidth() {
		$('.selfhosted-video').each(function() {
			var video = $(".selfhosted-video");
			var videoContainer = $( '.self_container' );
			var classicContainer = $( '.blog-classic-container' );
			if (video || classicContainer) {
				if (videoContainer.width()/video.data( 'video-ratio' ) <= videoContainer.height() ) {
					$(this).css({"width": videoContainer.height()*video.data( 'video-ratio' ), "height": videoContainer.height(), "margin-left":(videoContainer.width()-videoContainer.height()*video.data( 'video-ratio' ))/2})
				} else {
					$(this).css({"width": "", "height": "", "margin-left": ""})
				}
			}
		});
	}

function manggis_getHeight() {
 $('.masonry-item').each( function() {
		 var ratio = $( this ).find( '.thumb' ).attr( 'data-ratio' );
		 var img_width = $( this ).width();

		 if ( ratio > 1 ) {
			 var div_height = img_width / ratio;
		 } else {
			 var div_height = img_width / ratio;
		 }

		//  $( this ).find( '.masonry-thumb' ).css( { 'height': Math.floor( div_height ) } );
		 $( this ).css( { 'height': Math.floor( div_height ) } );
	 } );
}

 /* Gallery */
function manggis_getOwl() {
		$('.owl-theme').owlCarousel({
			items:1,
			lazyLoad:true,
			navigation:!0,
			pagination:!0,
			slideSpeed:800,
			dots:true,
			autoHeight:!0,
			singleItem:!0,
			autoWidth:true,
			loop:true
		})

		$('.justified-gallery').justifiedGallery({
			rowHeight : 200,
			maxRowHeight : 300,
			lastRow : 'justify',
			margins : 0,
			captions : false
		});
	}

} )( jQuery );



/* Back to top */

jQuery(document).ready(function($){
	// browser window scroll (in pixels) after which the "back to top" link is shown
	var offset = 300, offset_next = 100,
	//browser window scroll (in pixels) after which the "back to top" link opacity is reduced
	offset_opacity = 100,
	//duration of the top scrolling animation (in ms)
	scroll_top_duration = 700,
	//grab the "back to top" link
	$back_to_top = $('.to-top');
	//$next_prev = $('.project-navigation');

	$(window).scroll(function(){
		( $(this).scrollTop() > offset ) ? $back_to_top.addClass('cd-is-visible') : $back_to_top.removeClass('cd-is-visible cd-fade-out');

		( $(this).scrollTop() > offset ) ? $('.sidebar-btn').addClass('cd-is-visible') : $('.sidebar-btn').removeClass('cd-is-visible');

		if( $(this).scrollTop() > offset_opacity ) {
			$back_to_top.addClass('cd-fade-out');
		}
	});

	$back_to_top.on('click', function(event){
		event.preventDefault();
		$('body,html').animate({
			scrollTop: 0 ,
		 	}, scroll_top_duration
		);
	});

});
