<?php
//cookies
if ( isset($_GET["color_scheme"]) ) {
	setcookie( "color_scheme", esc_attr($_GET["color_scheme"]), time()+3600, '/', 'manggis.mallinidesign.com' );
}
//end
?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php if ( function_exists('ot_get_option') && !function_exists( 'has_site_icon' ) || function_exists('ot_get_option') && !has_site_icon() ) { ?>
		<link rel="shortcut icon" type="image/x-icon" href="<?php echo esc_url(ot_get_option('favicon_upload', get_template_directory_uri().'/assets/images/favicon.png')); ?>" />
	<?php } ?>
	<?php wp_head(); ?>
</head>

<?php $new_color_scheme = ( function_exists('ot_get_option') && ot_get_option('color_scheme') == "light" || isset($_COOKIE["color_scheme"]) && $_COOKIE["color_scheme"] == 'light-scheme' ) ? 'light-scheme' : '';
if ( isset($_GET["color_scheme"]) && $_GET["color_scheme"] == 'light-scheme' ) { $new_color_scheme = 'light-scheme'; }
if ( isset($_GET["color_scheme"]) && $_GET["color_scheme"] == 'dark-scheme' ) { $new_color_scheme = ''; }

$sidebar_side =  ( function_exists('ot_get_option') && ot_get_option('blog_layout') != "no-sidebar" && !is_home() &&  is_single() && get_post_type( get_the_ID() ) == 'post' || get_post_meta(get_the_ID(), 'manggis_sidebar_on', true) == "on" ) ? ot_get_option('blog_layout') : '';
$fullwidth_nav = ( function_exists('ot_get_option') && ot_get_option('fullwidth_nav') == "on" || isset($_GET["fullwidth_nav"]) ) ? 'fullwidth-navigation' : '';
$alt_nav = ( function_exists('ot_get_option') && ot_get_option('alt_nav') == "on" || isset($_GET["alt_nav"]) ) ? 'menu-alt' : ''; ?>

<body <?php body_class( esc_attr($new_color_scheme . ' ' . $sidebar_side) ); ?> >

	<?php if ( function_exists('wp_body_open')) { wp_body_open(); } ?>

<?php if ( function_exists('ot_get_option') && ot_get_option('preloader_on') != "off" ) { ?>

	<?php get_template_part('/templates/widget/widget', 'loader'); ?>

<?php } ?>

<div class="container <?php echo esc_attr($fullwidth_nav); ?>">
	<div id="site-navigation" class="<?php echo esc_attr($alt_nav); ?>">
		<div class="three columns">
			<div id="logo">

				<?php get_template_part('/templates/widget/widget', 'logo'); ?>

			</div>
		</div>

		<?php $nav_columns = ( function_exists('ot_get_option') && ot_get_option('header_social') ) ? 'ten' : 'thirteen alignright-menu'; ?>

		<div class="<?php echo esc_attr($nav_columns); ?> columns">
			<div id="navigation" class="top-navigation">

				<?php get_template_part('/templates/widget/widget', 'mainmenu'); ?>

			</div>
		</div>

		<?php manggis_header_social(); ?>

	</div>
</div>

<?php if ( !is_search() && !is_404() ) { ?>

	<?php get_template_part('/templates/widget/widget', 'submenu'); ?>

<?php } ?>

<?php get_template_part('/templates/widget/widget', 'title'); ?>

<main class="content-wrapper <?php echo esc_attr(manggis_main_class()); ?>">
