<?php
/**
 * The main template file.
 * @package WordPress
 */

get_header();

if (is_search()) { ?>

  <?php if (have_posts()) { ?>

  <div class="container blog-content">

  	<?php while (have_posts()) : the_post();
  		get_template_part('/templates/blog/blog', 'loop');
  	endwhile; ?>

  </div>

  <div class="pagination">
    <div class="nav-previous">
      <?php next_posts_link(esc_html__('Older posts', 'manggis')); ?>
      <?php previous_posts_link(esc_html__('Newer posts', 'manggis')); ?>
    </div>
  </div>

  <?php } else { ?>

    <div class="container no-content">
    	<?php get_template_part( '/templates/content/content', 'none' ); ?>
    </div>

  <?php } ?>

<?php } else { ?>

  <?php  $blog_postsperpage = ( function_exists('ot_get_option') && ot_get_option('blog_postsperpage') ) ? esc_html(ot_get_option('blog_postsperpage')) : get_option('posts_per_page');

  $blog_query_args = array(
    'post_type' => 'post',
    'post_status' => 'publish',
    'posts_per_page' => $blog_postsperpage,
  );

  $blog_query = new WP_Query( $blog_query_args ); ?>

  <?php if ($blog_query->have_posts()) { ?>

    <div class="ajax-content">
    	<div id="ajax-loader">
    		<div class="spinner">
    		  <div class="bounce1"></div>
    		  <div class="bounce2"></div>
    		  <div class="bounce3"></div>
    		</div>
    	</div>
    	<div class="container blog-content">

    	<?php while ($blog_query->have_posts()) : $blog_query->the_post();
    		get_template_part('/templates/blog/blog', 'loop');
    	endwhile; ?>

    </div>
  </div>

  <?php manggis_loadmore_posts('blog'); ?>

  <?php if ( function_exists('ot_get_option') && ot_get_option('infinite_off') != 'off') { manggis_get_appear('#footer', '#next-posts'); } ?>

  <?php if ( get_post_meta($post->ID, 'manggis_sidebar_on', true) == "on" ) { get_sidebar(); } ?>

  <?php } else { ?>

    <div class="container no-content">
    	<?php get_template_part( '/templates/content/content', 'none' ); ?>
    </div>

  <?php } ?>

<?php }

get_footer(); ?>
