<?php
/**
 * The single page template file.
 * @package WordPress
 */
get_header();

$add_class = (get_post_meta($post->ID, 'manggis_content_padding', true) == "off") ? 'no-padding' : ''; ?>

<?php if (function_exists('get_post_format') && get_post_format() == 'gallery') { ?>
	<div id="Ptitle" class="header-container blog-<?php echo get_post_format() . ' ' . esc_attr($add_class) ?>">

		<?php if (get_post_format()) echo '<div class="opacity-scroll">' ?>

			<?php get_template_part('/templates/blog/blog', get_post_format());  ?>

		<?php if (get_post_format()) echo '</div>' ?>

	</div>
<?php } ?>

<?php if (have_posts()) { ?>

<div class="container">

	<div class="sixteen columns blog-nosidebar">

		<?php while (have_posts()) : the_post(); ?>

			<div <?php post_class('post-page ' . $add_class); ?> id="post-<?php the_ID(); ?>" >
				<div class="post-content">
					<div class="post-description">
						<?php	if (function_exists('get_post_format') && get_post_format($post->ID) == 'quote') {
							echo '<blockquote>'; the_content(); echo '</blockquote>';
						} else {
							the_content();
						}
						if (function_exists('pb_page_builder')) { pb_page_builder(); } ?>

						<?php wp_link_pages(); ?>

						<div class="post-footer">
							<span class="cats animated-link"><?php esc_html_e('Category: ', 'manggis'); the_category( ', ' ); ?></span>
							<?php if (has_tag()) { ?><span class="single-tags animated-link"> <?php the_tags(esc_html__( 'Tags: ', 'manggis' ),', '); ?></span> <?php } ?>
							<?php manggis_share(); ?>
						</div>

					</div>
				</div>
			</div>

		<?php if ( get_the_author_meta( 'description' ) && function_exists('ot_get_option') && ot_get_option('hide_author') != "off" ) { get_template_part('author-bio'); } ?>

		<?php manggis_related_posts(); ?>

		<?php endwhile; ?>

		<?php if ( function_exists('ot_get_option') && ot_get_option('hide_comments') != "yes" ) {
			comments_template('', true);
		} elseif (!function_exists('ot_get_option')) {
			comments_template('', true);
		} ?>

	</div>

	<?php } else {

	get_template_part( '/templates/content/content', 'none' );

} ?>

<?php if ( function_exists('ot_get_option') && ot_get_option('blog_layout') != "no-sidebar" ) {
	get_sidebar();
} elseif ( !function_exists('ot_get_option') ) {
	get_sidebar();
} ?>

</div>

<?php get_footer(); ?>
