<?php
/**
 * Gallery template part
 */

$masonry_style = '';
 if (isset($_GET["masonry"])) {
	$masonry_style = esc_attr($_GET["masonry"]);
}

$ids = get_post_meta($post->ID, 'manggis_gallery_slider', TRUE);
$args = array(
  'post_type' => 'attachment',
  'post_status' => 'inherit',
  'post_mime_type' => 'image',
  'post__in' => explode( ",", $ids),
  'posts_per_page' => '-1',
  'orderby' => 'post__in'
);

$images_array = get_posts( $args );

$fullwidth_class = (get_post_meta($post->ID, 'manggis_gallery_fullwidth', TRUE) == "off") ? 'container' : '';

if (is_single()) {

	if (get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "slider-gallery" && get_post_meta($post->ID, 'manggis_gallery_slider', TRUE)) {

  	if ($images_array) { ?>
  		<div class="owl-carousel owl-theme <?php echo esc_attr($fullwidth_class) ?>">

  			<?php foreach ($images_array as $image) {
  				$attachment = wp_get_attachment_image_src($image->ID, 'full');
  				$thumb = wp_get_attachment_image_src($image->ID, 'full'); ?>

  				<a class="slick-slide" href="<?php echo esc_url($attachment[0]); ?>" data-fancybox="group" title="<?php echo esc_html($image->post_title); ?>" >
  					<img src="<?php echo esc_url($thumb[0]); ?>" alt="<?php echo esc_html($image->post_title); ?>" />
  				</a>

  			<?php } ?>

  	  </div>

  		<?php	}

	} elseif (get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "tiled-gallery" && get_post_meta($post->ID, 'manggis_gallery_slider', TRUE))  {

  	if ($images_array) { ?>

  		<div class="images-container <?php echo esc_attr($fullwidth_class) ?>">
  			<div class="justified-gallery-container">
  				<div class="justified-gallery">

  					<?php foreach ($images_array as $image) {
  						$attachment = wp_get_attachment_image_src($image->ID, 'full');
  						$thumb = wp_get_attachment_image_src($image->ID, 'full'); ?>

  						<a class="slick-slide" href="<?php echo esc_url($attachment[0]); ?>" data-fancybox="group" title="<?php echo esc_html($image->post_title); ?>" >
  							<img src="<?php echo esc_url($thumb[0]); ?>" alt="<?php echo esc_html($image->post_title); ?>" />
  						</a>

  					<?php } ?>

  				</div>
  			</div>
  		</div>

  	<?php }
  } elseif ( get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "classic-gallery" || get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "classic-gallery4" || get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "classic-gallery3" ) {

    if ($images_array) {
  		if (get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "classic-gallery4") { $count = 'four'; }
  		elseif (get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "classic-gallery3") { $count = 'three'; }
  		else { $count = 'six'; } ?>

  		<div id="portfolio-gallery-wrapper" class="<?php echo esc_attr($fullwidth_class) ?>">

  			<?php foreach($images_array as $image){
  				$attachment = wp_get_attachment_image_src($image->ID, 'full');
  				$thumb = wp_get_attachment_image_src($image->ID, 'full'); ?>

  				<div class="portfolio-<?php echo esc_attr($count); ?> portfolio-gallery-item">
  					<a href="<?php echo esc_url($attachment[0]); ?>" data-fancybox="group" title="<?php echo esc_html($image->post_title); ?>" >
  						<div class="thumb" style="background-image:url('<?php echo esc_url($thumb[0]); ?>');"></div>
  					</a>
  				</div>

  			<?php } ?>

  		</div>

  		<script type="text/javascript">
  			( function( $ ) {
  				$(document).ready(function() {
  					getCurrentItemHeight();
  				});

  				$(window).resize(function(){
  					getCurrentItemHeight();
  				});

  				function getCurrentItemHeight() {
  					if ($("div").is("#portfolio-gallery-wrapper") ) {
  						$('.portfolio-gallery-item:not(.portfolio-one)').each(function() {
  							var $this = $(this);
  							$(this).css({"height": $(this).width()})
  						})
  					}
  				}
  			} )( jQuery );
  		</script>

  	<?php	}

  } elseif ( get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "classic-gallery1" ) {
  	if ($images_array) { ?>
  		<div class="<?php echo esc_attr($fullwidth_class); ?>">
  			<?php foreach($images_array as $image){
  				$attachment = wp_get_attachment_image_src($image->ID, 'full');
  				$thumb = wp_get_attachment_image_src($image->ID, 'full'); ?>

  				<div class="portfolio-one portfolio-gallery-item">
  					<a href="<?php echo esc_url($attachment[0]); ?>" data-fancybox="group" title="<?php echo esc_html($image->post_title); ?>" >
  						<div class="one-gallery"><img src="<?php echo esc_url($thumb[0]); ?>" /></div>
  					</a>
  				</div>

  			<?php } ?>

  		</div>
  	<?php }
  } else {

  	if ($images_array) {

  		$masonry_columns = (get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "masonry-gallery") ? 'portfolio-four' : 'third-masonry';
  	?>

  		<div id="portfolio-gallery-wrapper"  class="<?php echo esc_attr($fullwidth_class) ?>">
  			<?php foreach($images_array as $image){
  				$attachment = wp_get_attachment_image_src($image->ID, 'full');
  				$ratio = ($attachment[2] > 0) ? $attachment[1]/$attachment[2] : '';
  				$thumb = wp_get_attachment_image_src($image->ID, 'full'); ?>
  				<div class="<?php echo esc_attr($masonry_columns); ?> portfolio-gallery-item" data-ratio="<?php echo esc_html($ratio) ?>">
  					<a href="<?php echo esc_url($attachment[0]); ?>" data-fancybox="group" title="<?php echo esc_html($image->post_title); ?>" >
  						<img src="<?php echo esc_url($thumb[0]); ?>" alt="<?php echo esc_html($image->post_title); ?>" />
  					</a>
  				</div>
  			<?php } ?>
  		</div>

  		<script type="text/javascript">
  			( function( $ ) {
  				$(document).ready(function() {
  					getMasonryHeight();
  				});

  				$(window).resize(function(){
  					getMasonryHeight();
  				});

  				function getMasonryHeight() {
  					$('.portfolio-gallery-item').each( function() {
  						var ratio = $( this ).attr( 'data-ratio' );
  						var img_width = $( this ).width();

  						if ( ratio > 1 ) {
  							var div_height = img_width / ratio;
  						} else {
  							var div_height = img_width / ratio;
  						}

  						$( this ).css( { 'height': Math.floor( div_height ) } );
  					});
  				}

  			} )( jQuery );
  		</script>

  	<?php }
  }

} elseif ( function_exists('ot_get_option') && ot_get_option('blog-style') != 'masonry' && !$masonry_style ) {

	$thumbnail_data = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'manggis_blog-main' );
	$thumbnail_url = isset($thumbnail_data[0]) ? $thumbnail_data[0] : ''; ?>

	<div class="blog-image" style="background-image:url('<?php echo esc_url($thumbnail_url) ?>')"></div>

<?php } else {

	if (has_post_thumbnail()) {
    $thumbnail_data = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'manggis_blog-main' );
		$thumbnail_full = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
    $ratio = ($thumbnail_full[2] > 0) ? $thumbnail_full[1]/$thumbnail_full[2] : '';
    $thumbnail_url = $thumbnail_data[0]; ?>
    <div class="masonry-thumb" data-ratio="<?php echo esc_html($ratio) ?>" style="background-image:url('<?php echo esc_url($thumbnail_url) ?>')"></div>
  <?php
  }

}	?>
