<?php
/**
 * Standard template part
 */

$masonry_style = (isset($_GET["masonry"])) ? esc_attr($_GET["masonry"]) : '';
$thumbnail_url = '';

if (has_post_thumbnail()) {
	$thumbnail_data = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
	$thumbnail_url = $thumbnail_data[0];
}

if (is_single()) { ?>

	<div class="image-scroll">
		<div class="image-background" style="background-image:url('<?php echo esc_url($thumbnail_url) ?>')"></div>
	</div>

<?php } elseif ( function_exists('ot_get_option') && ot_get_option('blog-style') != 'masonry' && !$masonry_style ) {

	$thumbnail_data = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'manggis_blog-main' );
	$thumbnail_url = $thumbnail_data[0]; ?>

	<div class="blog-image" style="background-image:url('<?php echo esc_url($thumbnail_url) ?>')"></div>

<?php } else {

  if (has_post_thumbnail()) {
    $thumbnail_data = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'manggis_blog-main' );
		$thumbnail_full = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
    $ratio = ($thumbnail_full[2] > 0) ? $thumbnail_full[1]/$thumbnail_full[2] : '';
    $thumbnail_url = $thumbnail_data[0]; ?>
    <div class="masonry-thumb" data-ratio="<?php echo esc_html($ratio) ?>" style="background-image:url('<?php echo esc_url($thumbnail_url) ?>')"></div>
  <?php
  }

}	?>
