<?php
/**
 * Blog simple template part
 */

$addclass = $thumbnail_url = '';

if ( function_exists('get_post_format') && get_post_format($post->ID) == 'link' ) {
	$link = get_the_content();
	$link = strip_tags($link);
}

if (has_post_thumbnail()) {
	$thumbnail_data = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
	$thumbnail_url = $thumbnail_data[0];
} ?>

	<article <?php post_class('loop sixteen columns blog-item simple-post '); ?> id="post-<?php the_ID(); ?>" data-id="<?php the_ID(); ?>">

		<?php if (function_exists('get_post_format') && get_post_format() != 'link' && get_post_format() != "video" && get_post_format() != "quote") { ?>

			<?php get_template_part('/templates/blog/blog', get_post_format()); ?>

			<div class="post-data">
				<div class="post-title">
					<h2>
						<a href="<?php the_permalink(); ?>" rel="bookmark">
							<?php the_title(); ?>
						</a>
					</h2>
					<div class="date-number"><?php echo '<span>'.get_the_date('M').'</span> '.get_the_date('j, Y'); ?></div>
				</div>

				<div class="author-name">By <span><?php echo get_the_author(); ?></span></div>

				<div class="post-category animated-link"><?php //the_category( ', ' );
				foreach((get_the_category()) as $category) {
    			echo '<a href="' . get_category_link($category->cat_ID) . '">#' . $category->category_nicename . '</a>';
				} ?></div>

				<a href="<?php if ( !empty($link)) { echo esc_url($link); } else { the_permalink(); } ?>" rel="bookmark"></a>

				<div class="post-content">
					<div class="post-description loop-page"><p><?php
					if (get_the_content()) {
						echo strip_shortcodes(wp_trim_words( get_the_content(), 65 ));
					}	elseif (function_exists('pb_page_builder')) {
						pb_page_builder('Text');
					} ?></p></div>
				</div>

			</div>

		<?php } elseif (function_exists('get_post_format') && get_post_format() == 'quote') {  ?>

			<div class="post-title">
				<h2>
					<a href="<?php the_permalink(); ?>" rel="bookmark">
						<?php the_title(); ?>
					</a>
				</h2>
			</div>

			<a href="<?php the_permalink(); ?>">
				<?php echo '<blockquote>'. wp_trim_words( get_the_content(), 65 ) .'</blockquote>'; ?>
			</a>

		<?php } elseif (function_exists('get_post_format') && get_post_format() == "video") { ?>

			<div class="post-title">
				<h2>
					<a href="<?php the_permalink(); ?>" rel="bookmark">
						<?php the_title(); ?>
					</a>
				</h2>
				<div class="post-category"><?php the_category( ', ' ); ?></div>
			</div>

			<?php get_template_part('/templates/blog/blog', get_post_format()); ?>

		<?php } else { ?>
			<a href="<?php echo esc_url($link); ?>"></a>
			<div class="post-title">
				<h2>
					<a href="<?php echo esc_url($link); ?>" rel="bookmark">
						<?php the_title(); ?>
					</a>
				</h2>
			</div>

			<div class="post-link"><i class="fa fa-link"></i></div>

		<?php } ?>

	</article>
