<?php
/**
 * Gallery template part
 */

$ids = get_post_meta($post->ID, 'manggis_gallery_slider', TRUE);
$args = array(
	'post_type' => 'attachment',
	'post_status' => 'inherit',
	'post_mime_type' => 'image',
	'post__in' => explode( ",", $ids),
	'posts_per_page' => '-1',
	'orderby' => 'post__in'
);

$count = '';
$fullwidth_class = (get_post_meta($post->ID, 'manggis_gallery_fullwidth', TRUE) == "off") ? 'container' : '';

$images_array = get_posts( $args );

if (get_post_meta($post->ID, 'manggis_video_selfhosted', TRUE)) { ?>

	<div class="portfolio_video self_container">

	<figure class="wp-block-video">
		<video class="selfhosted-video hentry" controls="" src="<?php echo esc_url(get_post_meta($post->ID, 'manggis_video_selfhosted', TRUE)); ?>"></video>
	</figure>

	</div>

<?php } elseif (get_post_meta($post->ID, 'manggis_video_link', TRUE)) {

	global $wp_embed; ?>

	<div class="hentry">
		<div class="embed video-cont"><?php echo $wp_embed->run_shortcode('[embed width="600" height="360" autoplay="on"]' . esc_url( get_post_meta($post->ID, 'manggis_video_link', TRUE) ) . '[/embed]'); ?></div>
	</div>


<?php }

if (get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "slider-gallery" ) {

	if ($images_array) { ?>

		<div class="owl-carousel owl-theme <?php echo esc_attr($fullwidth_class) ?>">

			<?php foreach ($images_array as $image) {
				$attachment = wp_get_attachment_image_src($image->ID, 'full');
				$thumb = wp_get_attachment_image_src($image->ID, 'full'); ?>

				<a class="slick-slide" href="<?php echo esc_url($attachment[0]); ?>" data-fancybox="group" title="<?php echo esc_html($image->post_title); ?>" data-caption="<?php echo esc_html($image->post_excerpt); ?>">
					<img src="<?php echo esc_url($thumb[0]); ?>" alt="<?php echo esc_html($image->post_title); ?>" />
				</a>

			<?php } ?>

		</div>

		<?php
		if (get_post_meta($post->ID, 'manggis_disable_resize', TRUE)) {
			$disable_resize = get_post_meta($post->ID, 'manggis_disable_resize', TRUE);

				if ($disable_resize[0] == 'disable') { ?>
					<style>
						.owl-item img {
							width: auto;
							margin:0 auto;
						}
					</style>
		<?php } }

	}

}  elseif ( get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "classic-gallery" || get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "classic-gallery4" || get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "classic-gallery3" ) {

	if ($images_array) {
		if (get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "classic-gallery4") { $count = 'four'; }
		elseif (get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "classic-gallery3") { $count = 'three'; }
		else { $count = 'six'; } ?>

		<div id="portfolio-gallery-wrapper" class="<?php echo esc_attr($fullwidth_class) ?>">

			<?php foreach ($images_array as $image) {
				$attachment = wp_get_attachment_image_src($image->ID, 'full');
				$thumb = wp_get_attachment_image_src($image->ID, 'full'); ?>

				<div class="portfolio-<?php echo esc_attr($count); ?> portfolio-gallery-item">
					<a href="<?php echo esc_url($attachment[0]); ?>" data-fancybox="group" title="<?php echo esc_html($image->post_title); ?>" data-caption="<?php echo esc_html($image->post_excerpt); ?>">
						<div class="thumb" style="background-image:url('<?php echo esc_url($thumb[0]); ?>');"></div>
					</a>
				</div>

			<?php } ?>

		</div>

		<script type="text/javascript">
			( function( $ ) {
				$(document).ready(function() {
					getCurrentItemHeight();
				});

				$(window).resize(function(){
					getCurrentItemHeight();
				});

				function getCurrentItemHeight() {
					if ($("div").is("#portfolio-gallery-wrapper") ) {
						$('.portfolio-gallery-item:not(.portfolio-one)').each(function() {
							var $this = $(this);
							$(this).css({"height": $(this).width()})
						})
					}
				}
			} )( jQuery );
		</script>

	<?php	}
} elseif ( get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "classic-gallery1" || get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "classic-gallery-small" || get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "classic-gallery-normal" ) {
	if ($images_array) {

		$fullwidth_class .= ( get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "classic-gallery-small" ||  get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "classic-gallery-normal" ) ? ' ' . get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) : ''; ?>
		<div class="<?php echo esc_attr($fullwidth_class) ?>">
			<?php foreach ($images_array as $image) {
				$attachment = wp_get_attachment_image_src($image->ID, 'full');
				$thumb = wp_get_attachment_image_src($image->ID, 'full'); ?>

				<div class="portfolio-one portfolio-gallery-item">
					<a href="<?php echo esc_url($attachment[0]); ?>" data-fancybox="group" title="<?php echo esc_html($image->post_title); ?>" data-caption="<?php echo esc_html($image->post_excerpt); ?>">
						<div class="one-gallery"><img src="<?php echo esc_url($thumb[0]); ?>" /></div>
					</a>
				</div>

			<?php } ?>

		</div>
	<?php }
} elseif (get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "tiled-gallery" ) {

	if ($images_array) { ?>

		<div class="images-container <?php echo esc_attr($fullwidth_class) ?>">
			<div class="justified-gallery-container">
				<div class="justified-gallery">

					<?php foreach ($images_array as $image) {
						$attachment = wp_get_attachment_image_src($image->ID, 'full');
						$thumb = wp_get_attachment_image_src($image->ID, 'full'); ?>

						<a class="slick-slide" href="<?php echo esc_url($attachment[0]); ?>" data-fancybox="group" title="<?php echo esc_html($image->post_title); ?>" data-caption="<?php echo esc_html($image->post_excerpt); ?>">
							<img src="<?php echo esc_url($thumb[0]); ?>" alt="<?php echo esc_html($image->post_title); ?>" />
						</a>

					<?php } ?>

				</div>
			</div>
		</div>

<?php
	}
} else {

	if ($images_array) {

		$masonry_columns = (get_post_meta($post->ID, 'manggis_gallery_layout', TRUE) == "masonry-gallery") ? 'portfolio-four' : 'third-masonry';
	?>

		<div id="portfolio-gallery-wrapper"  class="<?php echo esc_attr($fullwidth_class) ?>">
			<?php foreach($images_array as $image){
				$attachment = wp_get_attachment_image_src($image->ID, 'full');
				$ratio = ($attachment[2] > 0) ? $attachment[1]/$attachment[2] : '';
				$thumb = wp_get_attachment_image_src($image->ID, 'manggis_blog-main'); ?>
				<div class="<?php echo esc_attr($masonry_columns); ?> portfolio-gallery-item" data-ratio="<?php echo esc_html($ratio) ?>">
					<a href="<?php echo esc_url($attachment[0]); ?>" data-fancybox="group" title="<?php echo esc_html($image->post_title); ?>" >
						<img src="<?php echo esc_url($thumb[0]); ?>" alt="<?php echo esc_html($image->post_title); ?>" />
					</a>
				</div>
			<?php } ?>
		</div>

		<script type="text/javascript">
			( function( $ ) {
				$(document).ready(function() {
					getMasonryHeight();
				});

				$(window).resize(function(){
					getMasonryHeight();
				});

				function getMasonryHeight() {
					$('.portfolio-gallery-item').each( function() {
						var ratio = $( this ).attr( 'data-ratio' );
						var img_width = $( this ).width();

						if ( ratio > 1 ) {
							var div_height = img_width / ratio;
						} else {
							var div_height = img_width / ratio;
						}

						$( this ).css( { 'height': Math.floor( div_height ) } );
					});
				}

			} )( jQuery );
		</script>

	<?php }
}

if (!$images_array) {
	if ( has_post_thumbnail() ) {
		$thumbnail_data = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
		$thumbnail_url = $thumbnail_data[0];
		$not_resize = (get_post_meta($post->ID, 'manggis_portfolio_featuredsize', TRUE) != "standard-size") ? get_post_meta($post->ID, 'manggis_portfolio_featuredsize', TRUE) : ''; ?>

		<div class="image-featured <?php echo esc_attr($not_resize) ?>">
			<img src="<?php echo esc_url($thumbnail_url) ?>" />
		</div>

	<?php }
}
 ?>
