<?php
/**
 * Masonry portfolio loop template part
 */

$columns = new manggis_GetGlobal();

$ratio = $image_url = '';

if (has_post_thumbnail()) {
	$portfolio_main = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
	$ratio = ($portfolio_main[2] > 0) ? $portfolio_main[1]/$portfolio_main[2] : '';
	$image_url = $portfolio_main[0];
} else {
	$image_url = get_parent_theme_file_uri( '/assets/images/noimage.png' );
	$ratio = 1;
}

$thumbnail_url = get_the_permalink();
if ( get_post_meta($post->ID, 'manggis_show_aslightbox', true) == "on" ) {
	$thumbnail_data = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
	$thumbnail_url = esc_url($thumbnail_data[0]);
	if (get_post_meta($post->ID, 'manggis_video_link', TRUE)) {
		$thumbnail_url = esc_url(get_post_meta($post->ID, 'manggis_video_link', TRUE));
		$video_data_caption = 'data-caption="' . esc_attr(get_post_meta($post->ID, 'manggis_video_caption', TRUE)) . '"';
	}

	if (get_post_meta($post->ID, 'manggis_video_selfhosted', TRUE)) {
		$thumbnail_url = esc_url(get_post_meta($post->ID, 'manggis_video_selfhosted', TRUE));
		$video_data_caption = 'data-caption="' . esc_attr(get_post_meta($post->ID, 'manggis_video_caption', TRUE)) . '"';
	}
}

$manggis_customurl = get_post_meta($post->ID, 'manggis_customurl', TRUE); ?>

<div <?php post_class(esc_html($columns->columns).' masonry-item portfolio-item'); ?> id="post-<?php the_ID(); ?>" data-id="<?php the_ID(); ?>" >

	<div class="picture">
		<a href="<?php echo esc_url( $portfolio_link = ($manggis_customurl) ?: $thumbnail_url ); ?>" class="portfolio-link <?php if ( get_post_meta($post->ID, 'manggis_video_link', TRUE) && get_post_meta($post->ID, 'manggis_show_aslightbox', true) == 'on' || get_post_meta($post->ID, 'manggis_video_selfhosted', TRUE) && get_post_meta($post->ID, 'manggis_show_aslightbox', true) == 'on' ) { echo 'video-popup video-id' . get_the_ID(); } ?>" <?php if ( get_post_meta($post->ID, 'manggis_show_aslightbox', true) == 'on' && !get_post_meta($post->ID, 'manggis_video_link', TRUE)) { echo 'data-fancybox="group"'; }  if (get_post_meta($post->ID, 'manggis_video_link', TRUE) && get_post_meta($post->ID, 'manggis_show_aslightbox', true) == 'on' || get_post_meta($post->ID, 'manggis_video_selfhosted', TRUE) ) { echo $video_data_caption . ' data-fancybox="group"';  } ?> >

			<div class="thumb" data-ratio="<?php echo esc_html($ratio) ?>" style="background-image:url('<?php echo esc_url($image_url); ?>');" alt="<?php the_title();?>"></div>

		</a>

		<?php if ( get_post_meta($post->ID, 'manggis_show_aslightbox', TRUE) == 'on' && get_post_meta($post->ID, 'manggis_show_lightbox_link', true) == 'on' ) { ?>
			<a href="<?php echo get_the_permalink(); ?>" class="lightbox_link"><i class="fa fa-chevron-circle-down" aria-hidden="true"></i></a>
		<?php } ?>
	</div>

	<div class="item-description alt">
		<h6><?php the_title();?></h6>
		<div class="loader"></div>
		<span>
			<?php	$terms = get_the_terms( $post->ID, 'filters');
			if ( $terms ) {
				foreach ( $terms as $term ) {
					echo esc_html( $term->name ) . ' ';
				}
			} ?>
		</span>
	</div>

</div>

<?php if (get_post_meta(get_the_ID(), 'manggis_video_link', TRUE)) { ?>
	<script type="text/javascript">
		// ( function( $ ) {
		// 	$(document).ready(function() {
		// 		manggisVideoPopup<?php echo get_the_ID(); ?>();
		// 	});
		//
		// 	function manggisVideoPopup<?php echo get_the_ID(); ?>() {
		// 		var videoCaption<?php echo get_the_ID(); ?> = '';
		// 		$('.video-id<?php echo get_the_ID(); ?>').magnificPopup({
		// 			callbacks: {
		// 		    elementParse: function(item) {
		// 					videoCaption<?php echo get_the_ID(); ?> = item.el.attr('data-caption');
  	// 				},
		// 				open: function() {
		// 					$(document).find('.mfp-container').append('<div class="mfp-caption"><p>' + videoCaption<?php echo get_the_ID(); ?> + '</p></div>');
  	// 				}
		// 		  },
		// 			type:'iframe'
		// 		});
		// 	}
		//
		// } )( jQuery );
	</script>
<?php } ?>
