<?php
/**
 *
 * Template Name: Blog Simple
 * The page template file.
 * @package WordPress
 */
get_header(); ?>

<div class="container blog-content blog-simple">


	<?php $paged = 1;
	$blog_postsperpage = ( function_exists('ot_get_option') && ot_get_option('blog_postsperpage') ) ? esc_html(ot_get_option('blog_postsperpage')) : get_option('posts_per_page');

	if ( get_query_var( 'paged' ) ) $paged = get_query_var( 'paged' );
	if ( get_query_var( 'page' ) ) $paged = get_query_var( 'page' );

	$blog_query_args = array(
		'post_type' => 'post',
		'paged' => $paged,
		'posts_per_page' => $blog_postsperpage,
		//'ignore_sticky_posts' => 1
	);

	$blog_query = new WP_Query( $blog_query_args );

	if ($blog_query->have_posts()) {  ?>

		<?php	while ( $blog_query->have_posts() ) : $blog_query->the_post();
			get_template_part('/templates/blog/blog', 'loop-simple');
		endwhile; ?>

	<?php } else { ?>

		<div class="fourteen columns blog-nosidebar">
	    <?php get_template_part( '/templates/content/content', 'none' ); ?>
		</div>

	<?php } ?>

</div>

<div class="pagination">
	<div class="nav-previous animated-link">
		<?php next_posts_link(esc_html__('Older posts', 'manggis'), $blog_query->max_num_pages); ?>
		<?php previous_posts_link(esc_html__('Newer posts', 'manggis')); ?>
	</div>
</div>

<?php get_footer(); ?>
